package com.datix.calendar;

/**
 * class that represents a master or user event in the table
 * Creation date: (7/29/2001 1:54:12 PM)
 * @author: 
 */

// import java.util.Hashtable;
import java.util.Hashtable;
import java.util.Vector;
import java.sql.*;

import com.informix.jdbc.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;

import java.util.Calendar;
import com.datix.ConnectionBean;
import com.datix.HandleException;

public class CalendarEvent {
	//stores the event variables for both user and master events
	private String eventname = null;
	private String groupname = null;
	private String repeat = null;
	private String userid = null;
	private String repeattype = null;
	private String eventdescription = null;
	
	private Calendar startdate;
	private Calendar stopdate;

	private int eventid;
	private int contactid;
/**
 * CalendarEvent constructor default
 */
public CalendarEvent() {
	super();
	startdate = Calendar.getInstance();
	stopdate = Calendar.getInstance();
}
/**
 * CalendarEvent for exsisting group/master event
 */
public CalendarEvent(int neweventid, String neweventname, String newgroupname, String newrepeat, String newrepeattype, String neweventdescription, Calendar newstartdate, Calendar newstopdate) {
	super();

	eventname = neweventname;
	groupname = newgroupname;
	repeat = newrepeat;
	eventid = neweventid;
	repeattype = newrepeattype;
	eventdescription = neweventdescription;
	startdate = newstartdate;
	stopdate = newstopdate;
	
}
/**
 * CalendarEvent for exsisting user event
 */
public CalendarEvent(int neweventid, Calendar newstartdate, Calendar newstopdate, String neweventname, String newrepeat, String newrepeattype, String newuserid, String neweventdescription, int newcontactid) {
	super();

	eventname = neweventname;
	userid = newuserid;
	repeat = newrepeat;
	repeattype = newrepeattype;
	eventid = neweventid;
	eventdescription = neweventdescription;
	contactid = newcontactid;
	startdate = newstartdate;
	stopdate = newstopdate;
}
/**
 * CalendarEvent for new group/master event.
 */
public CalendarEvent(String neweventname, String newgroupname, String newrepeat, String newrepeattype, String neweventdescription, Calendar newstartdate, Calendar newstopdate) {
	super();

	eventname = neweventname;
	groupname = newgroupname;
	repeat = newrepeat;
	repeattype = newrepeattype;
	eventdescription = neweventdescription;
	startdate = newstartdate;
	stopdate = newstopdate;
	
}
/**
 * CalendarEvent for new user event.
 */
public CalendarEvent(Calendar newstartdate, Calendar newstopdate, String neweventname, String newrepeat, String newrepeattype, String newuserid, String neweventdescription, int newcontactid) {
	super();

	eventname = neweventname;
	userid = newuserid;
	repeat = newrepeat;
	repeattype = newrepeattype;
	eventdescription = neweventdescription;
	contactid = newcontactid;
	startdate = newstartdate;
	stopdate = newstopdate;
}
/**
 * returns the contactid
 * Creation date: (7/31/2001 10:47:16 AM)
 * @return int
 */
public int getContactid() {
	return contactid;
}
/**
 * returns the event description
 * Creation date: (8/4/2001 10:49:51 AM)
 * @return java.lang.String
 */
public String getEventdescription() {
	return eventdescription;
}
/**
 * returns the eventid
 * Creation date: (7/29/2001 1:59:01 PM)
 * @return int
 */
public int getEventid() {
	return eventid;
}
/**
 * returns the eventname
 * Creation date: (7/29/2001 1:55:01 PM)
 * @return java.lang.String
 */
public String getEventname() {
	return eventname;
}
/**
 *returns the groupname
 * Creation date: (7/29/2001 1:56:05 PM)
 * @return java.lang.String
 */
public String getGroupname() {
	return groupname;
}
/**
 * returns the repeat
 * Creation date: (7/29/2001 1:56:23 PM)
 * @return java.lang.String
 */
public String getRepeat() {
	return repeat;
}
/**
 * returns the repeat type
 * Creation date: (7/30/2001 3:30:59 PM)
 * @return java.lang.String
 */
public String getRepeattype() {
	return repeattype;
}
/**
 * returns the start date
 * Creation date: (8/4/2001 4:05:53 PM)
 * @return java.util.Calendar
 */
public Calendar getStartdate() {
	return startdate;
}
/**
 * returns the stop date of this event
 * Creation date: (8/4/2001 4:06:13 PM)
 * @return int
 */
public Calendar getStopdate() {
	return stopdate;
}
/**
 * returns the userid
 * Creation date: (7/29/2001 2:06:57 PM)
 * @return java.lang.String
 */
public java.lang.String getUserid() {
	return userid;
}
/**
 * Starts the application. not used in this program
 * @param args an array of command-line arguments
 */
public static void main(java.lang.String[] args) {
	// Insert code to start the application here.
}
/**
 * sets the contact id
 * Creation date: (7/31/2001 10:47:16 AM)
 * @param newContactid int
 */
public void setContactid(int newContactid) {
	contactid = newContactid;
}
/**
 * sets the event description
 * Creation date: (8/4/2001 10:49:51 AM)
 * @param newEventdescription java.lang.String
 */
public void setEventdescription(String newEventdescription) {
	eventdescription = newEventdescription;
}
/**
 * sets the eventid
 * Creation date: (7/29/2001 1:59:01 PM)
 * @param newEventid int
 */
public void setEventid(int newEventid) {
	eventid = newEventid;
}
/**
 * sets the eventname
 * Creation date: (7/29/2001 1:55:01 PM)
 * @param newEventname java.lang.String
 */
public void setEventname(String newEventname) {
	eventname = newEventname;
}
/**
 * sets the groupname
 * Creation date: (7/29/2001 1:56:05 PM)
 * @param newGroupname java.lang.String
 */
public void setGroupname(String newGroupname) {
	groupname = newGroupname;
}
/**
 * sets the repeat
 * Creation date: (7/29/2001 1:56:23 PM)
 * @param newRepeat java.lang.String
 */
public void setRepeat(String newRepeat) {
	repeat = newRepeat;
}
/**
 * sets the repeattype
 * Creation date: (7/30/2001 3:30:59 PM)
 * @param newRepeattype java.lang.String
 */
public void setRepeattype(String newRepeattype) {
	repeattype = newRepeattype;
}
/**
 * sets the start date for this event
 * Creation date: (8/4/2001 4:05:53 PM)
 * @param newStartDate java.util.Calendar
 */
public void setStartdate(java.util.Calendar newStartDate) {
	startdate = newStartDate;
}
/**
 * sets the stop date for this event
 * Creation date: (8/4/2001 4:06:13 PM)
 * @param newStopDate int
 */
public void setStopdate(Calendar newStopDate) {
	stopdate = newStopDate;
}
/**
 * sets the userid
 * Creation date: (7/29/2001 2:06:57 PM)
 * @param newUserid java.lang.String
 */
public void setUserid(java.lang.String newUserid) {
	userid = newUserid;
}
/**
 * stores a master event into the object given an id
 * Creation date: (7/30/2001 9:37:04 AM)
 */
public void storeMasterEvent(int mastereventid) {
	
	//simple connection to database to pull into object the given info
	ConnectionBean conn = new ConnectionBean();
	
	try {
		PreparedStatement pStmt = 
			conn.getConn().prepareStatement(
				"select * from mastercalendar where mastereventid=?");
		
		
		pStmt.setInt(1, mastereventid);
		
		ResultSet rs = pStmt.executeQuery();
		
		if(rs.next()){
			eventname = rs.getString("eventname");
			groupname = rs.getString("groupname");
			repeat = rs.getString("repeat");
			repeattype = rs.getString("repeattype");
			eventdescription = rs.getString("eventdescription");
			startdate.setTime(rs.getDate("startdate"));
			stopdate.setTime(rs.getDate("stopdate"));	
		}
		
		conn.getConn().close();
	}
	catch (Exception e) {
		new HandleException(e);
	}	
	
	
	
	
	
	
	
	
	
	
	
}
/**
 * stores a user event in the object given and id
 * Creation date: (7/30/2001 9:37:04 AM)
 */
public void storeUserEvent(int usereventid) {
	
	//simple connection to database to pull into object the given info
	ConnectionBean conn = new ConnectionBean();
	try {
		PreparedStatement pStmt = 
			conn.getConn().prepareStatement(
				"select * from usercalendar where usereventid=?");
		
		pStmt.setInt(1, usereventid);
		
		ResultSet rs = pStmt.executeQuery();
		
		if(rs.next()){
			eventname = rs.getString("eventname");
			groupname = rs.getString("userid");
			repeat = rs.getString("repeat");
			repeattype = rs.getString("repeattype");
			contactid = rs.getInt("contactid");
			eventdescription = rs.getString("eventdescription");
			startdate.setTime(rs.getDate("startdate"));
			stopdate.setTime(rs.getDate("stopdate"));
		}
			
		conn.getConn().close();
	}
	catch (Exception e) {
		new HandleException(e);
	}	
	
	
	
	
	
	
	
	
	
	
	
}
}
