package com.datix.calendar;

/**
 * Class to hold a ContactManagement table entry
 * Creation date: (7/6/2001 11:38:05 AM)
 * @author: 
 */

import java.util.Hashtable;
import java.util.Vector;
import java.sql.*;

import com.informix.jdbc.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;

import java.util.Calendar;
import com.datix.ConnectionBean;
import com.datix.HandleException;

public class ContactManagement {
	
	//varibles to store contact information in class
	private String fname1 = null;
	private String lname1 = null;
	private String fname2 = null;
	private String lname2 = null;
	private java.lang.String stnum = null;
	private String street = null;
	private String city = null;
	private String state = null;
	private String zip = null;
	private String workphone = null;
	private String homephone = null;
	private String email = null;
	private int contactid;
	private String userid;
	
	//used to store all contacts for a specific user
	private Vector usercontacts;
/**
 * ContactManagement constructor default
 */
public ContactManagement() {
	super();
}
/**
 * ContactManagment constructor taking in values for a new table entry
 */
public ContactManagement(int newcontactid, String newuserid, String newfname1, String newlname1, String newfname2, String newlname2, String newstnum, String newstreet, String newcity, String newstate, String newzip, String newhomephone, String newworkphone, String newemail) {
	super();
	fname1 = newfname1;
	lname1 = newlname1;
	fname2 = newfname2;
	lname2 = newlname2;
	city = newcity;
	email = newemail;
	homephone = newhomephone;
	workphone = newworkphone;
	state = newstate;
	stnum = newstnum;
	zip = newzip;
	street = newstreet;
	contactid = newcontactid;
	userid = newuserid;
}
/**
	adds a contactmanagement to the table
**/
public void add() {
	
ConnectionBean conn = new ConnectionBean();
	try {
		PreparedStatement pStmt = 
			conn.getConn().prepareStatement(
				"insert into contactmanagement (userid, fname1, lname1, fname2, lname2, stnum, street, city, state, zip, homephone, workphone, email)"
				+ " values (?,?,?,?,?,?,?,?,?,?,?,?,?)");
			
		// a series of setXXXX, one for each field in the table.
		pStmt.setString(1, userid);
		pStmt.setString(2, fname1);
		pStmt.setString(3, lname1);
		pStmt.setString(4, fname2);
		pStmt.setString(5, lname2);
		pStmt.setString(6, stnum);
		pStmt.setString(7, street);
		pStmt.setString(8, city);
		pStmt.setString(9, state);
		pStmt.setString(10, zip);
		pStmt.setString(11, homephone);
		pStmt.setString(12, workphone);
		pStmt.setString(13, email);
		
		pStmt.execute();
					
		conn.getConn().close();
	}
	catch (Exception e) {
		new HandleException(e);
	}		
	
	

	
	
}
/**
	deletes a contact management from the table
**/
public void delete() {
	
	ConnectionBean conn = new ConnectionBean();
	try {
		PreparedStatement pStmt = 
			conn.getConn().prepareStatement(
				"delete from contactmanagement where contactid=?");
				
		pStmt.setInt(1, contactid);
		pStmt.execute();

		conn.getConn().close();
	}
	catch (Exception e) {
		new HandleException(e);
	}		
	
	
}
/**
 * fills out info from a contactmanagement from the contactid
 * Creation date: (7/11/2001 12:20:05 PM)
 */
public void fillInfo(int newcontactid) {
	
ConnectionBean conn = new ConnectionBean();
	try {
		PreparedStatement pStmt = 
			conn.getConn().prepareStatement(
				"select * from contactmanagement where contactid=?");
			
		pStmt.setInt(1, newcontactid);
		
		ResultSet rs = pStmt.executeQuery();

		while(rs.next()){
			userid = rs.getString("userid");
			stnum = rs.getString("stnum");
			street  = rs.getString("street");
			workphone = rs.getString("workphone");
			homephone = rs.getString("homephone");
			fname1 = rs.getString("fname1");
			lname1 = rs.getString("lname1");
			fname2 = rs.getString("fname2");
			lname2 = rs.getString("lname2");
			city = rs.getString("city");
			state = rs.getString("state");
			zip = rs.getString("zip");
			email = rs.getString("email");
			contactid = newcontactid;
		}

	
		conn.getConn().close();
	}
	catch (Exception e) {
		new HandleException(e);
	}		
	
	
	
}
/**
 * return city
 * Creation date: (7/6/2001 11:43:01 AM)
 * @return java.lang.String
 */
public String getCity() {
	return city;
}
/**
 * returns the contactid
 * Creation date: (7/31/2001 1:20:18 PM)
 * @return int
 */
public int getContactid() {
	return contactid;
}
/**
 * return email
 * Creation date: (7/6/2001 11:44:52 AM)
 * @return java.lang.String
 */
public String getEmail() {
	return email;
}
/**
 * return fname1
 * Creation date: (7/6/2001 11:41:10 AM)
 * @return java.lang.String
 */
public String getFname1() {
	return fname1;
}
/**
 * return fname2
 * Creation date: (7/6/2001 11:41:44 AM)
 * @return java.lang.String
 */
public String getFname2() {
	return fname2;
}
/**
 * return homephone
 * Creation date: (7/6/2001 11:44:32 AM)
 * @return java.lang.String
 */
public String getHomephone() {
	return homephone;
}
/**
 * return lname1
 * Creation date: (7/6/2001 11:41:25 AM)
 * @return java.lang.String
 */
public String getLname1() {
	return lname1;
}
/**
 * return lname2
 * Creation date: (7/6/2001 11:42:02 AM)
 * @return java.lang.String
 */
public String getLname2() {
	return lname2;
}
/**
 * return state
 * Creation date: (7/6/2001 11:43:24 AM)
 * @return java.lang.String
 */
public String getState() {
	return state;
}
/**
 * return stnum
 * Creation date: (7/6/2001 11:42:18 AM)
 * @return java.lang.String
 */
public String getStnum() {
	return stnum;
}
/**
 * return street
 * Creation date: (7/6/2001 11:42:33 AM)
 * @return java.lang.String
 */
public String getStreet() {
	return street;
}
/**
 * returns the list of user contacts
 * Creation date: (7/31/2001 1:39:12 PM)
 * @return java.util.Vector
 */
public Vector getUsercontacts() {
	return usercontacts;
}
/**
 * returns the userid for this contact management
 * Creation date: (7/31/2001 1:20:32 PM)
 * @return java.lang.String
 */
public String getUserid() {
	return userid;
}
/**
 * return workphone
 * Creation date: (7/6/2001 11:44:11 AM)
 * @return java.lang.String
 */
public String getWorkphone() {
	return workphone;
}
/**
 * return zip
 * Creation date: (7/6/2001 11:43:44 AM)
 * @return java.lang.String
 */
public String getZip() {
	return zip;
}
/**
 * Starts the application not used.
 * @param args an array of command-line arguments
 */
public static void main(java.lang.String[] args) {
	// Insert code to start the application here.
}
/**
 * set city
 * Creation date: (7/6/2001 11:43:01 AM)
 * @param newCity java.lang.String
 */
public void setCity(String newCity) {
	city = newCity;
}
/**
 * sets the contact id
 * Creation date: (7/31/2001 1:20:18 PM)
 * @param newContactid int
 */
public void setContactid(int newContactid) {
	contactid = newContactid;
}
/**
 * set email
 * Creation date: (7/6/2001 11:44:52 AM)
 * @param newEmail java.lang.String
 */
public void setEmail(String newEmail) {
	email = newEmail;
}
/**
 * set fname1
 * Creation date: (7/6/2001 11:41:10 AM)
 * @param newFname1 java.lang.String
 */
public void setFname1(String newFname1) {
	fname1 = newFname1;
}
/**
 * set fname2
 * Creation date: (7/6/2001 11:41:44 AM)
 * @param newFname2 java.lang.String
 */
public void setFname2(String newFname2) {
	fname2 = newFname2;
}
/**
 * set homephone
 * Creation date: (7/6/2001 11:44:32 AM)
 * @param newHomephone java.lang.String
 */
public void setHomephone(String newHomephone) {
	homephone = newHomephone;
}
/**
 * setlname1
 * Creation date: (7/6/2001 11:41:25 AM)
 * @param newLname1 java.lang.String
 */
public void setLname1(String newLname1) {
	lname1 = newLname1;
}
/**
 * set lname2
 * Creation date: (7/6/2001 11:42:02 AM)
 * @param newLname2 java.lang.String
 */
public void setLname2(String newLname2) {
	lname2 = newLname2;
}
/**
 * set state
 * Creation date: (7/6/2001 11:43:24 AM)
 * @param newState java.lang.String
 */
public void setState(String newState) {
	state = newState;
}
/**
 * set stnum
 * Creation date: (7/6/2001 11:42:18 AM)
 * @param newStnum java.lang.String
 */
public void setStnum(String newStnum) {
	stnum = newStnum;
}
/**
 * set street
 * Creation date: (7/6/2001 11:42:33 AM)
 * @param newStreet java.lang.String
 */
public void setStreet(String newStreet) {
	street = newStreet;
}
/**
 * sets the user contacts vector
 * Creation date: (7/31/2001 1:39:12 PM)
 * @param newUsercontacts java.util.Vector
 */
public void setUsercontacts(Vector newUsercontacts) {
	usercontacts = newUsercontacts;
}
/**
 * sets the user id
 * Creation date: (7/31/2001 1:20:32 PM)
 * @param newUserid java.lang.String
 */
public void setUserid(String newUserid) {
	userid = newUserid;
}
/**
 * set workphone
 * Creation date: (7/6/2001 11:44:11 AM)
 * @param newWorkphone java.lang.String
 */
public void setWorkphone(String newWorkphone) {
	workphone = newWorkphone;
}
/**
 * set zip
 * Creation date: (7/6/2001 11:43:44 AM)
 * @param newZip java.lang.String
 */
public void setZip(String newZip) {
	zip = newZip;
}
/**
 * displays all the contacts that the userid has
 * Creation date: (7/31/2001 1:33:30 PM)
 */
public void showContacts(JspWriter out, String userid) {
try{	
	
	//stores all contacts for this user into a vector
	usercontacts = storeContacts(userid);

	//goes through vector to display all contacts
	out.println("<table rules=all>");
	out.println("<tr><td>First Name 1</td><td>Last Name 1</td><td>First Name 2</td><td>Last Name 2</td><td>Street Number</td><td>Street</td><td>City</td><td>State</td><td>Zip</td><td>Home Phone</td><td>Work Phone</td><td>Email</td><td>Actions</td></tr>");
	for(int i=0; i < usercontacts.size(); i++){
		out.println("<tr>");
		
		//displays all contact info in a table	
		out.println("<td>"+((ContactManagement)usercontacts.elementAt(i)).getFname1()+"</td>");
		out.println("<td>"+((ContactManagement)usercontacts.elementAt(i)).getLname1()+"</td>");
		out.println("<td>"+((ContactManagement)usercontacts.elementAt(i)).getFname2()+"</td>");
		out.println("<td>"+((ContactManagement)usercontacts.elementAt(i)).getLname2()+"</td>");
		out.println("<td>"+((ContactManagement)usercontacts.elementAt(i)).getStnum()+"</td>");
		out.println("<td>"+((ContactManagement)usercontacts.elementAt(i)).getStreet()+"</td>");
		out.println("<td>"+((ContactManagement)usercontacts.elementAt(i)).getCity()+"</td>");
		out.println("<td>"+((ContactManagement)usercontacts.elementAt(i)).getState()+"</td>");
		out.println("<td>"+((ContactManagement)usercontacts.elementAt(i)).getZip()+"</td>");
		out.println("<td>"+((ContactManagement)usercontacts.elementAt(i)).getHomephone()+"</td>");
		out.println("<td>"+((ContactManagement)usercontacts.elementAt(i)).getWorkphone()+"</td>");
		out.println("<td>"+((ContactManagement)usercontacts.elementAt(i)).getEmail()+"</td>");
		out.println("<td>");

		//puts a link to update or delete event in that row
		out.println("<a href=ContactManagementUpdate.jsp?userid="+userid+"&contactid="+((ContactManagement)usercontacts.elementAt(i)).getContactid()+">Edit</a>");
		out.println("<a href=ContactManagementDelete.jsp?userid="+userid+"&contactid="+((ContactManagement)usercontacts.elementAt(i)).getContactid()+">Delete</a>");
		out.println("</td>");
	}
	out.println("</table>");

	//puts a link to the add contact on contactmanage
	out.println("<table rules=all>");
	out.println("<tr><td><a href=\"ContactManagementAdd.jsp?userid="+userid+"\">Add New Contact</a></td></tr>");
	out.println("</table>");
}
catch(Exception e){
	
	System.out.println("Exception occured in contactmanagement:showcontacts:"+e);	
	
}	
	
	
	
	
	
	
	
}
/**
 * returns a vector of contacts given a userid
 * Creation date: (7/31/2001 1:38:35 PM)
 * @return java.util.Vector
 * @param userid java.lang.String
 */
public Vector storeContacts(String userid) {
	Vector tempcontacts = new Vector();
	ConnectionBean conn = new ConnectionBean();
	try {
		PreparedStatement pStmt = 
			conn.getConn().prepareStatement(
				"select * from contactmanagement where userid=?");
		
		pStmt.setString(1, userid);
		
		ResultSet rs = pStmt.executeQuery();
		
		
		while(rs.next()){
			
			city = rs.getString("city");
			contactid = rs.getInt("contactid");
			email = rs.getString("email");
			fname1 = rs.getString("fname1");
			fname2 = rs.getString("fname2");
			lname1 = rs.getString("lname1");
			lname2 = rs.getString("lname2");
			state = rs.getString("state");
			stnum = rs.getString("stnum");
			street = rs.getString("street");
			workphone = rs.getString("workphone");
			homephone = rs.getString("homephone");
			zip = rs.getString("zip");
			
		 	tempcontacts.addElement(new ContactManagement(contactid, userid, fname1, lname1, fname2, lname2, stnum, street, city, state, zip, homephone, workphone, email));
			
		}	
		conn.getConn().close();
	}
	catch (Exception e) {
		new HandleException(e);
	}	

	return tempcontacts;
	
}
/**
	updates a contactmanagement in the table
	using a contactid already stored in this object
**/
public void update() {
	
ConnectionBean conn = new ConnectionBean();
	try {
		PreparedStatement pStmt = 
			conn.getConn().prepareStatement(
				"update contactmanagement set (userid, fname1, lname1, fname2, lname2, stnum, street, city, state, zip, homephone, workphone, email)"
				+ " = (?,?,?,?,?,?,?,?,?,?,?,?,?) where contactid = ?");
			
		pStmt.setString(1, userid);
		pStmt.setString(2, fname1);
		pStmt.setString(3, lname1);
		pStmt.setString(4, fname2);
		pStmt.setString(5, lname2);
		pStmt.setString(6, stnum);
		pStmt.setString(7, street);
		pStmt.setString(8, city);
		pStmt.setString(9, state);
		pStmt.setString(10, zip);
		pStmt.setString(11, homephone);
		pStmt.setString(12, workphone);
		pStmt.setString(13, email);
		pStmt.setInt(14, contactid);
		pStmt.execute();

		conn.getConn().close();
	}
	catch (Exception e) {
		new HandleException(e);
	}		
		
	
	
	
	
}
/**
 * verifies if the contact has been filled out if so fills out this object and returns true
 * Creation date: (7/31/2001 2:21:08 PM)
 * @param request javax.servlet.http.HttpServletRequest
 */
public boolean verifyContact(HttpServletRequest request) {
	
	
	
	if(request.getParameter("addcontact")!=null){
		city = request.getParameter("city");
		email = request.getParameter("email");
		fname1 = request.getParameter("fname1");
		fname2 = request.getParameter("fname2");
		homephone = request.getParameter("homephone");
		lname1 = request.getParameter("lname1");
		lname2 = request.getParameter("lname2");
		stnum = request.getParameter("stnum");
		state = request.getParameter("state");
		street = request.getParameter("street");
		userid = request.getParameter("userid");
		workphone = request.getParameter("workphone");
		zip = request.getParameter("zip");
		
		return true;	
	}
	else{
		return false;
	}
	
	
}
}
