package com.datix.calendar;

/**
 * class to create a calendar out of html
 * Creation date: (7/30/2001 12:57:21 PM)
 * @author: 
 */

 import java.util.Hashtable;
import java.util.Vector;
import java.sql.*;

import com.informix.jdbc.*;
import javax.servlet.http.*;
import javax.servlet.jsp.*;

import java.util.Calendar;
import com.datix.ConnectionBean;
import com.datix.HandleException;

 
public class HtmlCalendar {
	//used to keep track of what date this calendar is on
	private int month;
	private int year;
	private int day;
	private int daysinmonth;
	
	//used to store events and groups for laster use
	private Vector masterEvents;
	private Vector userEvents;
	private Vector groups;
	
/**
 * HtmlCalendar constructor default sets the vectors for events and stores the groups
 */
public HtmlCalendar() {
	super();
	masterEvents = new Vector();
	userEvents = new Vector();
	groups = new Vector();
	storeGroups();
}
/**
 * adds the master event to the table
 * Creation date: (7/29/2001 3:39:29 PM)
 */
public void addMasterEvent(HttpServletRequest request) {
	
	
	ConnectionBean conn = new ConnectionBean();
	try {

		//grabs the whole start time from year to minute
		int eventstartday = new Integer(request.getParameter("eventstartday")).intValue();
		int eventstartyear = new Integer(request.getParameter("eventstartyear")).intValue();
		int eventstartmonth = new Integer(request.getParameter("eventstartmonth")).intValue();

		//creates a calendar object and sets the start date to it
		Calendar starttime = Calendar.getInstance();
		
		starttime.set(starttime.YEAR, eventstartyear);
		starttime.set(starttime.MONTH, eventstartmonth-1);
		starttime.set(starttime.DATE, eventstartday); 

		if(request.getParameter("startampm").equals("am")){
		starttime.set(starttime.HOUR_OF_DAY, new Integer(request.getParameter("starthour")).intValue());
		}
		else if(request.getParameter("startampm").equals("pm")){
		starttime.set(starttime.HOUR_OF_DAY, new Integer(request.getParameter("starthour")).intValue()+12);
		}
		starttime.set(starttime.MINUTE, new Integer(request.getParameter("startminute")).intValue());

		//creates a sql date from the calendar to put up to the database
		java.sql.Date begintime = new java.sql.Date(starttime.getTime().getTime());
		
		//grabs the whole stop time from year to minute
		int eventstopday = new Integer(request.getParameter("eventstopday")).intValue();
		int eventstopyear = new Integer(request.getParameter("eventstopyear")).intValue();
		int eventstopmonth = new Integer(request.getParameter("eventstopmonth")).intValue();

		//creates a calendar object and sets the stop date to it
		Calendar stoptime = Calendar.getInstance();

		stoptime.set(stoptime.YEAR, eventstopyear);
		stoptime.set(stoptime.MONTH, eventstopmonth-1);
		stoptime.set(stoptime.DAY_OF_MONTH, eventstopday);

		if(request.getParameter("stopampm").equals("am")){
		stoptime.set(stoptime.HOUR_OF_DAY, new Integer(request.getParameter("stophour")).intValue());
		}
		else if(request.getParameter("stopampm").equals("pm")){
		stoptime.set(stoptime.HOUR_OF_DAY, new Integer(request.getParameter("stophour")).intValue()+12);
		}
		stoptime.set(stoptime.MINUTE, new Integer(request.getParameter("stopminute")).intValue());

		//creates a sql date from the calendar to put up to the database
		java.sql.Date endtime = new java.sql.Date(stoptime.getTime().getTime());
		 
		
		PreparedStatement pStmt = 
			conn.getConn().prepareStatement(
				"insert into mastercalendar (eventname, groupname, repeat, repeattype, eventdescription, startdate, stopdate) values (?,?,?,?,?,?,?)");
		
		pStmt.setString(1, request.getParameter("eventname"));
		pStmt.setString(2, request.getParameter("groupname"));

		//adds repeat info if its repeat if not just puts nulls
		if(request.getParameter("isrepeat").equals("repeat")){
		pStmt.setString(3, request.getParameter("repeat"));
		pStmt.setString(4, request.getParameter("repeattype"));
		
		}
		else{
		pStmt.setString(3, null);
		pStmt.setString(4, null);	
		}

		pStmt.setString(5, request.getParameter("eventdescription"));

		pStmt.setDate(6, begintime);
		pStmt.setDate(7, endtime);
		
		pStmt.execute();		
		conn.getConn().close();
	}
	catch (Exception e) {
		new HandleException(e);
	}	
	
	
	
	
	
	
	
	
	
	
}
/**
 * adds the user event to the table
 * Creation date: (7/29/2001 3:39:29 PM)
 */
public void addUserEvent(HttpServletRequest request) {
	
	
	ConnectionBean conn = new ConnectionBean();
	try {
		//grabs the whole start time from year to minute
		int eventstartday = new Integer(request.getParameter("eventstartday")).intValue();
		int eventstartyear = new Integer(request.getParameter("eventstartyear")).intValue();
		int eventstartmonth = new Integer(request.getParameter("eventstartmonth")).intValue();

		//creates a calendar object and sets the start date to it
		Calendar starttime = Calendar.getInstance();
		
		starttime.set(starttime.YEAR, eventstartyear);
		starttime.set(starttime.MONTH, eventstartmonth-1);
		starttime.set(starttime.DATE, eventstartday); 

		if(request.getParameter("startampm").equals("am")){
		starttime.set(starttime.HOUR_OF_DAY, new Integer(request.getParameter("starthour")).intValue());
		}
		else if(request.getParameter("startampm").equals("pm")){
		starttime.set(starttime.HOUR_OF_DAY, new Integer(request.getParameter("starthour")).intValue()+12);
		}
		starttime.set(starttime.MINUTE, new Integer(request.getParameter("startminute")).intValue());

		//creates a sql date from the calendar to put up to the database
		java.sql.Date begintime = new java.sql.Date(starttime.getTime().getTime());
		
		//grabs the whole stop time from year to minute
		int eventstopday = new Integer(request.getParameter("eventstopday")).intValue();
		int eventstopyear = new Integer(request.getParameter("eventstopyear")).intValue();
		int eventstopmonth = new Integer(request.getParameter("eventstopmonth")).intValue();

		//creates a calendar object and sets the stop date to it
		Calendar stoptime = Calendar.getInstance();

		stoptime.set(stoptime.YEAR, eventstopyear);
		stoptime.set(stoptime.MONTH, eventstopmonth-1);
		stoptime.set(stoptime.DAY_OF_MONTH, eventstopday);

		if(request.getParameter("stopampm").equals("am")){
		stoptime.set(stoptime.HOUR_OF_DAY, new Integer(request.getParameter("stophour")).intValue());
		}
		else if(request.getParameter("stopampm").equals("pm")){
		stoptime.set(stoptime.HOUR_OF_DAY, new Integer(request.getParameter("stophour")).intValue()+12);
		}
		stoptime.set(stoptime.MINUTE, new Integer(request.getParameter("stopminute")).intValue());

		//creates a sql date from the calendar to put up to the database
		java.sql.Date endtime = new java.sql.Date(stoptime.getTime().getTime());
		 
		
		
		PreparedStatement pStmt = 
			conn.getConn().prepareStatement(
				"insert into usercalendar (eventname, userid, repeat, repeattype, contactid, eventdescription, startdate, stopdate) values (?,?,?,?,?,?,?,?)");
		
		pStmt.setString(1, request.getParameter("eventname"));
		pStmt.setString(2, request.getParameter("userid"));

		if(request.getParameter("isrepeat").equals("repeat")){
		pStmt.setString(3, request.getParameter("repeat"));
		pStmt.setString(4, request.getParameter("repeattype"));
		
		}
		else{
		pStmt.setString(3, null);
		pStmt.setString(4, null);	
		}

		//if the contact id given equals -1 there is no contact for this event put a -1
		if(new Integer(request.getParameter("contactid")).intValue() != -1){
		pStmt.setInt(5, new Integer(request.getParameter("contactid")).intValue());
		}
		else{
		pStmt.setInt(5, -1);	
			
		}

		pStmt.setString(6, request.getParameter("eventdescription"));

		pStmt.setDate(7, begintime);
		pStmt.setDate(8, endtime);
		
		pStmt.execute();		
		conn.getConn().close();
	}
	catch (Exception e) {
		new HandleException(e);
	}	
	
	
	
	
	
	
	
	
	
	
}
/**
 * deletes the master event from the table
 * Creation date: (7/29/2001 3:39:29 PM)
 */
public void deleteMasterEvent(HttpServletRequest request) {
	
	
	ConnectionBean conn = new ConnectionBean();
	try {
	
		PreparedStatement pStmt = 
			conn.getConn().prepareStatement(
				"delete from mastercalendar where mastereventid = ?");

		pStmt.setInt(1, new Integer(request.getParameter("eventid")).intValue());

		pStmt.execute();		
		conn.getConn().close();
	}
	catch (Exception e) {
		new HandleException(e);
	}	
	
	
	
	
	
	
	
	
	
	
}
/**
 * deletes the user event from the table
 * Creation date: (7/29/2001 3:39:29 PM)
 */
public void deleteUserEvent(HttpServletRequest request) {
	
	
	ConnectionBean conn = new ConnectionBean();
	try {
	
		PreparedStatement pStmt = 
			conn.getConn().prepareStatement(
				"delete from usercalendar where usereventid = ?");

		pStmt.setInt(1, new Integer(request.getParameter("eventid")).intValue());

		pStmt.execute();		
		conn.getConn().close();
	}
	catch (Exception e) {
		new HandleException(e);
	}	
	
	
	
	
	
	
	
	
	
	
}
/**
 * displays the master events for that day
 * Creation date: (7/28/2001 5:35:23 PM)
 * @param out javax.servlet.jsp.JspWriter
 * @param day int
 * @param month int
 * @param year int
 */
public void displayMasterEvents(JspWriter out, Calendar currentdate) {
	
	try{
		//goes through all events in the month checking if its to be displayed
		for(int i = 0; i < masterEvents.size(); i++){
			
			CalendarEvent event = (CalendarEvent) masterEvents.elementAt(i);
			
			String repeat = event.getRepeat();
			String repeattype = event.getRepeattype();
			Calendar startdate = event.getStartdate();
			Calendar stopdate = event.getStopdate();
			
			boolean display = false;

			//gets the firstofmonth for the currentdate for checking day of week repeats
			Calendar firstofmonth = Calendar.getInstance();
			firstofmonth.set(Calendar.MONTH, currentdate.get(Calendar.MONTH));
			firstofmonth.set(Calendar.DAY_OF_MONTH, 1);
			firstofmonth.set(Calendar.YEAR, currentdate.get(Calendar.YEAR));

			//gets the firstofmonth for the startdate for checking day of week repeats
			Calendar firstofstartmonth = Calendar.getInstance();
			firstofstartmonth.set(Calendar.MONTH, startdate.get(Calendar.MONTH));
			firstofstartmonth.set(Calendar.DAY_OF_MONTH, 1);
			firstofstartmonth.set(Calendar.YEAR, startdate.get(Calendar.YEAR));
			
			//figure out if this event should be placed on this day or not
			//could be different day depending on the type of repeat
			if(repeat!=null&&repeattype!=null&&repeattype.equals("day")){

				//if this is a day of week repeat need to find out what day of week each falls on
				int eventstartdayofweek = startdate.get(startdate.DAY_OF_WEEK);
				int eventstopdayofweek = stopdate.get(stopdate.DAY_OF_WEEK);
				int dayofweek = currentdate.get(currentdate.DAY_OF_WEEK);

				//only if they are the same day of week do we check to display them
				if(startdate.get(startdate.DAY_OF_WEEK) == currentdate.get(currentdate.DAY_OF_WEEK)){

						//if this is a weekly event just repeat
						if(repeat.equals("week")){
								display = true;
						}//if its a month or year event need to check if this is the right week and day
						else if(repeat.equals("month") || repeat.equals("year")){
						
							//gets what week of month both dates fell on	
							int whichweekevent = startdate.get(startdate.WEEK_OF_MONTH);
							int whichweek = currentdate.get(currentdate.WEEK_OF_MONTH);

							//these are the cases that if true would cause this event to be displayed on this day
							//there might be more specialized cases too
							if(whichweekevent-1 == whichweek && currentdate.get(currentdate.DAY_OF_MONTH)+7 > currentdate.getActualMaximum(currentdate.DAY_OF_MONTH) && startdate.get(Calendar.DAY_OF_MONTH)+7 > startdate.getActualMaximum(Calendar.DAY_OF_MONTH)){	
								//both fall on last day of week of month and there is one more week in the event month than the current one
								display = true;
							}
							else if(whichweekevent+1 == whichweek && currentdate.get(currentdate.DAY_OF_MONTH)+7 > currentdate.getActualMaximum(currentdate.DAY_OF_MONTH) && startdate.get(Calendar.DAY_OF_MONTH)+7 > startdate.getActualMaximum(Calendar.DAY_OF_MONTH)){
								//both fall on last day of week of month and there is one more week in the current month than the event month.
								display = true;
							}
							else if(whichweekevent+1 == whichweek && currentdate.get(Calendar.DAY_OF_WEEK) < firstofmonth.get(Calendar.DAY_OF_WEEK) && startdate.get(Calendar.DAY_OF_MONTH)+7 > startdate.getActualMaximum(Calendar.DAY_OF_MONTH)){
								//event week is one less than current week and the current day of week is less than its first of month and the startdate was the last of the month
								display = true;
							}
							else if(whichweekevent+1 == whichweek && currentdate.get(Calendar.DAY_OF_WEEK) < firstofmonth.get(Calendar.DAY_OF_WEEK) && startdate.get(Calendar.DAY_OF_WEEK) >= firstofstartmonth.get(Calendar.DAY_OF_WEEK)){
								display = true;	
							}
							else if(whichweekevent == whichweek && currentdate.get(Calendar.DAY_OF_WEEK) >= firstofmonth.get(Calendar.DAY_OF_WEEK) && startdate.get(Calendar.DAY_OF_WEEK) >= firstofstartmonth.get(Calendar.DAY_OF_WEEK)){
								//the week number are equal and both day of weeks are less than the first of month day of week 
								display = true;		
								
							}
							else if(whichweekevent == whichweek && startdate.get(Calendar.MONTH) == currentdate.get(Calendar.MONTH) && startdate.get(Calendar.YEAR) == currentdate.get(Calendar.YEAR)){
								//the weeks are equal both the month and year are equal
								display = true;
							}
							else if(whichweekevent == whichweek && currentdate.get(Calendar.DAY_OF_WEEK) < firstofmonth.get(Calendar.DAY_OF_WEEK) && startdate.get(Calendar.DAY_OF_WEEK) < firstofstartmonth.get(Calendar.DAY_OF_WEEK)){
								//the weeks are equal and both dates day of week are less than the first of month day of week
								display = true;	
							}
							else if(whichweekevent == whichweek+1 && currentdate.get(Calendar.DAY_OF_WEEK) >= firstofmonth.get(Calendar.DAY_OF_WEEK) && startdate.get(Calendar.DAY_OF_WEEK) < firstofstartmonth.get(Calendar.DAY_OF_WEEK)){
								//the current week is one greater and currentdate is greater or equal to first of month day of week and start day of week is less than firstofmonth day of week
								display = true;	
							}
							else if(currentdate.get(currentdate.DAY_OF_MONTH)+7 > currentdate.getActualMaximum(currentdate.DAY_OF_MONTH) && startdate.get(Calendar.DAY_OF_MONTH)+7 > startdate.getActualMaximum(Calendar.DAY_OF_MONTH)){
								//if both are the last day of week of the month
								display = true;
							}
							
							
							
						}
				
				}
				
			}
			else if((startdate.get(startdate.DAY_OF_MONTH) <= currentdate.get(currentdate.DAY_OF_MONTH)) && (stopdate.get(currentdate.DAY_OF_MONTH) >= currentdate.get(currentdate.DAY_OF_MONTH))){
				display = true;
				
			}
			else if((startdate.get(startdate.MONTH) < currentdate.get(currentdate.MONTH) && stopdate.get(stopdate.MONTH) == currentdate.get(currentdate.MONTH) && stopdate.get(stopdate.DAY_OF_MONTH) >= currentdate.get(currentdate.DAY_OF_MONTH)) || (stopdate.get(stopdate.MONTH) > currentdate.get(currentdate.MONTH) && startdate.get(startdate.MONTH) == currentdate.get(currentdate.MONTH) && startdate.get(startdate.DAY_OF_MONTH) <= currentdate.get(currentdate.DAY_OF_MONTH))){
				display = true;
				
			}
			
			if(display == true){
				out.println("<a href=\"CalendarMasterViewEvent.jsp?eventid="+event.getEventid()+"\">"+event.getEventname()+"</a>");	
				
			}	
			
			
		}
	
	
	}
	catch(Exception e){
		
		System.out.println("HtmlCalendar:displayMasterEvents:"+e);
		
	}
	
	
	
	
	
	}
/**
 * displays the master events for the particular user
 * so the user cannot edit this event
 * Creation date: (7/28/2001 5:35:23 PM)
 * @param out javax.servlet.jsp.JspWriter
 * @param day int
 * @param month int
 * @param year int
 */
public void displayMasterEventsToUser(JspWriter out, Calendar currentdate) {
	
	try{
	
		for(int i = 0; i < masterEvents.size(); i++){
			
			CalendarEvent event = (CalendarEvent) masterEvents.elementAt(i);
			
			String repeat = event.getRepeat();
			String repeattype = event.getRepeattype();
			Calendar startdate = event.getStartdate();
			Calendar stopdate = event.getStopdate();
			
			boolean display = false;
			
			//gets the firstofmonth for the currentdate for checking day of week repeats
			Calendar firstofmonth = Calendar.getInstance();
			firstofmonth.set(Calendar.MONTH, currentdate.get(Calendar.MONTH));
			firstofmonth.set(Calendar.DAY_OF_MONTH, 1);
			firstofmonth.set(Calendar.YEAR, currentdate.get(Calendar.YEAR));

			//gets the firstofmonth for the startdate for checking day of week repeats
			Calendar firstofstartmonth = Calendar.getInstance();
			firstofstartmonth.set(Calendar.MONTH, startdate.get(Calendar.MONTH));
			firstofstartmonth.set(Calendar.DAY_OF_MONTH, 1);
			firstofstartmonth.set(Calendar.YEAR, startdate.get(Calendar.YEAR));
			
			//figure out if this event should be placed on this day or not
			//could be different day depending on the type of repeat
			if(repeat!=null&&repeattype!=null&&repeattype.equals("day")){

				//if this is a day of week repeat need to find out what day of week each falls on
				int eventstartdayofweek = startdate.get(startdate.DAY_OF_WEEK);
				int eventstopdayofweek = stopdate.get(stopdate.DAY_OF_WEEK);
				int dayofweek = currentdate.get(currentdate.DAY_OF_WEEK);

				//only if they are the same day of week do we check to display them
				if(startdate.get(startdate.DAY_OF_WEEK) == currentdate.get(currentdate.DAY_OF_WEEK)){

						//if this is a weekly event just repeat
						if(repeat.equals("week")){
								display = true;
						}//if its a month or year event need to check if this is the right week and day
						else if(repeat.equals("month") || repeat.equals("year")){
						
							//gets what week of month both dates fell on	
							int whichweekevent = startdate.get(startdate.WEEK_OF_MONTH);
							int whichweek = currentdate.get(currentdate.WEEK_OF_MONTH);

							//these are the cases that if true would cause this event to be displayed on this day
							//there might be more specialized cases too
							if(whichweekevent-1 == whichweek && currentdate.get(currentdate.DAY_OF_MONTH)+7 > currentdate.getActualMaximum(currentdate.DAY_OF_MONTH) && startdate.get(Calendar.DAY_OF_MONTH)+7 > startdate.getActualMaximum(Calendar.DAY_OF_MONTH)){	
								//both fall on last day of week of month and there is one more week in the event month than the current one
								display = true;
							}
							else if(whichweekevent+1 == whichweek && currentdate.get(currentdate.DAY_OF_MONTH)+7 > currentdate.getActualMaximum(currentdate.DAY_OF_MONTH) && startdate.get(Calendar.DAY_OF_MONTH)+7 > startdate.getActualMaximum(Calendar.DAY_OF_MONTH)){
								//both fall on last day of week of month and there is one more week in the current month than the event month.
								display = true;
							}
							else if(whichweekevent+1 == whichweek && currentdate.get(Calendar.DAY_OF_WEEK) < firstofmonth.get(Calendar.DAY_OF_WEEK) && startdate.get(Calendar.DAY_OF_MONTH)+7 > startdate.getActualMaximum(Calendar.DAY_OF_MONTH)){
								//event week is one less than current week and the current day of week is less than its first of month and the startdate was the last of the month
								display = true;
							}
							else if(whichweekevent+1 == whichweek && currentdate.get(Calendar.DAY_OF_WEEK) < firstofmonth.get(Calendar.DAY_OF_WEEK) && startdate.get(Calendar.DAY_OF_WEEK) >= firstofstartmonth.get(Calendar.DAY_OF_WEEK)){
								display = true;	
							}
							else if(whichweekevent == whichweek && currentdate.get(Calendar.DAY_OF_WEEK) >= firstofmonth.get(Calendar.DAY_OF_WEEK) && startdate.get(Calendar.DAY_OF_WEEK) >= firstofstartmonth.get(Calendar.DAY_OF_WEEK)){
								//the week number are equal and both day of weeks are less than the first of month day of week 
								display = true;		
								
							}
							else if(whichweekevent == whichweek && startdate.get(Calendar.MONTH) == currentdate.get(Calendar.MONTH) && startdate.get(Calendar.YEAR) == currentdate.get(Calendar.YEAR)){
								//the weeks are equal both the month and year are equal
								display = true;
							}
							else if(whichweekevent == whichweek && currentdate.get(Calendar.DAY_OF_WEEK) < firstofmonth.get(Calendar.DAY_OF_WEEK) && startdate.get(Calendar.DAY_OF_WEEK) < firstofstartmonth.get(Calendar.DAY_OF_WEEK)){
								//the weeks are equal and both dates day of week are less than the first of month day of week
								display = true;	
							}
							else if(whichweekevent == whichweek+1 && currentdate.get(Calendar.DAY_OF_WEEK) >= firstofmonth.get(Calendar.DAY_OF_WEEK) && startdate.get(Calendar.DAY_OF_WEEK) < firstofstartmonth.get(Calendar.DAY_OF_WEEK)){
								//the current week is one greater and currentdate is greater or equal to first of month day of week and start day of week is less than firstofmonth day of week
								display = true;	
							}
							else if(currentdate.get(currentdate.DAY_OF_MONTH)+7 > currentdate.getActualMaximum(currentdate.DAY_OF_MONTH) && startdate.get(Calendar.DAY_OF_MONTH)+7 > startdate.getActualMaximum(Calendar.DAY_OF_MONTH)){
								//if both are the last day of week of the month
								display = true;
							}
							
							
							
						}
				
				}
				
			}
			else if((startdate.get(startdate.DAY_OF_MONTH) <= currentdate.get(currentdate.DAY_OF_MONTH)) && (stopdate.get(currentdate.DAY_OF_MONTH) >= currentdate.get(currentdate.DAY_OF_MONTH))){
				display = true;
				
			}
			else if((startdate.get(startdate.MONTH) < currentdate.get(currentdate.MONTH) && stopdate.get(stopdate.MONTH) == currentdate.get(currentdate.MONTH) && stopdate.get(stopdate.DAY_OF_MONTH) >= currentdate.get(currentdate.DAY_OF_MONTH)) || (stopdate.get(stopdate.MONTH) > currentdate.get(currentdate.MONTH) && startdate.get(startdate.MONTH) == currentdate.get(currentdate.MONTH) && startdate.get(startdate.DAY_OF_MONTH) <= currentdate.get(currentdate.DAY_OF_MONTH))){
				display = true;
				
			}
			
			if(display == true){
				out.println("<a href=\"CalendarMasterViewToUserEvent.jsp?eventid="+event.getEventid()+"\">"+event.getEventname()+"</a>");	
					
				
			}	
			
			
		}
	
	
	}
	catch(Exception e){
		
		System.out.println("HtmlCalendar:displayMasterEvents:"+e);
		
	}
	
	
	
	
	
	}
/**
 * displays the user events for that day for a particular user
 * Creation date: (7/28/2001 5:35:23 PM)
 * @param out javax.servlet.jsp.JspWriter
 * @param day int
 * @param month int
 * @param year int
 */
public void displayUserEvents(JspWriter out, Calendar currentdate) {
	
	try{
	
		for(int i = 0; i < userEvents.size(); i++){
			
			CalendarEvent event = (CalendarEvent) userEvents.elementAt(i);
			
			String repeat = event.getRepeat();
			String repeattype = event.getRepeattype();
			Calendar startdate = event.getStartdate();
			Calendar stopdate = event.getStopdate();
			
			boolean display = false;
			
			//gets the firstofmonth for the currentdate for checking day of week repeats
			Calendar firstofmonth = Calendar.getInstance();
			firstofmonth.set(Calendar.MONTH, currentdate.get(Calendar.MONTH));
			firstofmonth.set(Calendar.DAY_OF_MONTH, 1);
			firstofmonth.set(Calendar.YEAR, currentdate.get(Calendar.YEAR));

			//gets the firstofmonth for the startdate for checking day of week repeats
			Calendar firstofstartmonth = Calendar.getInstance();
			firstofstartmonth.set(Calendar.MONTH, startdate.get(Calendar.MONTH));
			firstofstartmonth.set(Calendar.DAY_OF_MONTH, 1);
			firstofstartmonth.set(Calendar.YEAR, startdate.get(Calendar.YEAR));
			
			//figure out if this event should be placed on this day or not
			//could be different day depending on the type of repeat
			if(repeat!=null&&repeattype!=null&&repeattype.equals("day")){

				//if this is a day of week repeat need to find out what day of week each falls on
				int eventstartdayofweek = startdate.get(startdate.DAY_OF_WEEK);
				int eventstopdayofweek = stopdate.get(stopdate.DAY_OF_WEEK);
				int dayofweek = currentdate.get(currentdate.DAY_OF_WEEK);

				//only if they are the same day of week do we check to display them
				if(startdate.get(startdate.DAY_OF_WEEK) == currentdate.get(currentdate.DAY_OF_WEEK)){

						//if this is a weekly event just repeat
						if(repeat.equals("week")){
								display = true;
						}//if its a month or year event need to check if this is the right week and day
						else if(repeat.equals("month") || repeat.equals("year")){
						
							//gets what week of month both dates fell on	
							int whichweekevent = startdate.get(startdate.WEEK_OF_MONTH);
							int whichweek = currentdate.get(currentdate.WEEK_OF_MONTH);

							//these are the cases that if true would cause this event to be displayed on this day
							//there might be more specialized cases too
							if(whichweekevent-1 == whichweek && currentdate.get(currentdate.DAY_OF_MONTH)+7 > currentdate.getActualMaximum(currentdate.DAY_OF_MONTH) && startdate.get(Calendar.DAY_OF_MONTH)+7 > startdate.getActualMaximum(Calendar.DAY_OF_MONTH)){	
								//both fall on last day of week of month and there is one more week in the event month than the current one
								display = true;
							}
							else if(whichweekevent+1 == whichweek && currentdate.get(currentdate.DAY_OF_MONTH)+7 > currentdate.getActualMaximum(currentdate.DAY_OF_MONTH) && startdate.get(Calendar.DAY_OF_MONTH)+7 > startdate.getActualMaximum(Calendar.DAY_OF_MONTH)){
								//both fall on last day of week of month and there is one more week in the current month than the event month.
								display = true;
							}
							else if(whichweekevent+1 == whichweek && currentdate.get(Calendar.DAY_OF_WEEK) < firstofmonth.get(Calendar.DAY_OF_WEEK) && startdate.get(Calendar.DAY_OF_MONTH)+7 > startdate.getActualMaximum(Calendar.DAY_OF_MONTH)){
								//event week is one less than current week and the current day of week is less than its first of month and the startdate was the last of the month
								display = true;
							}
							else if(whichweekevent+1 == whichweek && currentdate.get(Calendar.DAY_OF_WEEK) < firstofmonth.get(Calendar.DAY_OF_WEEK) && startdate.get(Calendar.DAY_OF_WEEK) >= firstofstartmonth.get(Calendar.DAY_OF_WEEK)){
								display = true;	
							}
							else if(whichweekevent == whichweek && currentdate.get(Calendar.DAY_OF_WEEK) >= firstofmonth.get(Calendar.DAY_OF_WEEK) && startdate.get(Calendar.DAY_OF_WEEK) >= firstofstartmonth.get(Calendar.DAY_OF_WEEK)){
								//the week number are equal and both day of weeks are less than the first of month day of week 
								display = true;		
								
							}
							else if(whichweekevent == whichweek && startdate.get(Calendar.MONTH) == currentdate.get(Calendar.MONTH) && startdate.get(Calendar.YEAR) == currentdate.get(Calendar.YEAR)){
								//the weeks are equal both the month and year are equal
								display = true;
							}
							else if(whichweekevent == whichweek && currentdate.get(Calendar.DAY_OF_WEEK) < firstofmonth.get(Calendar.DAY_OF_WEEK) && startdate.get(Calendar.DAY_OF_WEEK) < firstofstartmonth.get(Calendar.DAY_OF_WEEK)){
								//the weeks are equal and both dates day of week are less than the first of month day of week
								display = true;	
							}
							else if(whichweekevent == whichweek+1 && currentdate.get(Calendar.DAY_OF_WEEK) >= firstofmonth.get(Calendar.DAY_OF_WEEK) && startdate.get(Calendar.DAY_OF_WEEK) < firstofstartmonth.get(Calendar.DAY_OF_WEEK)){
								//the current week is one greater and currentdate is greater or equal to first of month day of week and start day of week is less than firstofmonth day of week
								display = true;	
							}
							else if(currentdate.get(currentdate.DAY_OF_MONTH)+7 > currentdate.getActualMaximum(currentdate.DAY_OF_MONTH) && startdate.get(Calendar.DAY_OF_MONTH)+7 > startdate.getActualMaximum(Calendar.DAY_OF_MONTH)){
								//if both are the last day of week of the month
								display = true;
							}
							
							
							
						}
				
				}
				
			}
			else if((startdate.get(startdate.DAY_OF_MONTH) <= currentdate.get(currentdate.DAY_OF_MONTH)) && (stopdate.get(currentdate.DAY_OF_MONTH) >= currentdate.get(currentdate.DAY_OF_MONTH))){
				display = true;
				
			}
			else if((startdate.get(startdate.MONTH) < currentdate.get(currentdate.MONTH) && stopdate.get(stopdate.MONTH) == currentdate.get(currentdate.MONTH) && stopdate.get(stopdate.DAY_OF_MONTH) >= currentdate.get(currentdate.DAY_OF_MONTH)) || (stopdate.get(stopdate.MONTH) > currentdate.get(currentdate.MONTH) && startdate.get(startdate.MONTH) == currentdate.get(currentdate.MONTH) && startdate.get(startdate.DAY_OF_MONTH) <= currentdate.get(currentdate.DAY_OF_MONTH))){
				display = true;
				
			}
			
			if(display == true){
				out.println("<a href=\"CalendarUserViewEvent.jsp?eventid="+event.getEventid()+"\">"+event.getEventname()+"</a>");	
				
			}	
			
			
		}
	
	
	}
	catch(Exception e){
		
		System.out.println("HtmlCalendar:displayMasterEvents:"+e);
		
	}
	
	
	
	
	
	}
/**
 * returns the day
 * Creation date: (7/28/2001 3:21:12 PM)
 * @return int
 */
public int getDay() {
	return day;
}
/**
 * returns the days in the current month
 * Creation date: (8/1/2001 10:39:10 AM)
 * @return int
 */
public int getDaysinmonth() {
	return daysinmonth;
}
/**
 * returns the vector of groups
 * Creation date: (7/30/2001 10:04:38 AM)
 * @return java.util.Vector
 */
public Vector getGroups() {
	return groups;
}
/**
 * returns the masterevents list
 * Creation date: (7/29/2001 2:11:31 PM)
 * @return java.util.Vector
 */
public Vector getMasterEvents() {
	return masterEvents;
}
/**
 * returns a vector of mastermonth events for the master calendar for the current month and year
 * Creation date: (7/28/2001 5:43:03 PM)
 */
public Vector getMasterMonthEvents() {
	
	ConnectionBean conn = new ConnectionBean();
	try {
		Vector tempevents = new Vector();
		
		PreparedStatement pStmt = 
			conn.getConn().prepareStatement(
				"select * from mastercalendar;");
			
			
		ResultSet rs = pStmt.executeQuery();
		while(rs.next()){
			int eventid = rs.getInt(1);
			String eventname  = rs.getString("eventname");
			String groupname = rs.getString("groupname");
			String repeat = rs.getString("repeat");
			String repeattype = rs.getString("repeattype");
			String eventdescription = rs.getString("eventdescription");
			
			Calendar startdate = Calendar.getInstance();
			Calendar stopdate = Calendar.getInstance();	
				
			startdate.setTime(rs.getDate("startdate"));
			stopdate.setTime(rs.getDate("stopdate"));

			int eventstartmonth = startdate.get(startdate.MONTH);
			int eventstartyear = startdate.get(startdate.YEAR);

			int eventstopmonth = stopdate.get(stopdate.MONTH);
			int eventstopyear = stopdate.get(stopdate.YEAR);

			//want to be able to put this if into the sql statement instead
			//compares the events taken in with the year, and month to see if it belongs in this month view			
			if((eventstartmonth == month && repeat!=null && repeat.equals("year")) || (eventstartmonth == month && eventstartyear == year) || (repeat!=null && repeat.equals("week")) || (repeat!=null && repeat.equals("day")) || (repeat!=null && repeat.equals("month")) || (eventstopmonth == month && repeat!=null && repeat.equals("year")) || (eventstopmonth == month && eventstopyear == year) || (repeat!=null && repeat.equals("week")) || (repeat!=null && repeat.equals("day")) || (repeat!=null && repeat.equals("month"))){
				CalendarEvent temp = new CalendarEvent(eventid, eventname, groupname, repeat, repeattype, eventdescription, startdate, stopdate);
				tempevents.addElement(temp);
			}
		}
		
		conn.getConn().close();
		return tempevents;
		
	}
	catch (Exception e) {
		new HandleException(e);
	}				
		return null;
}
/**
 * Used to get master events for specific user belonging to specific groups up to three
 * Creation date: (7/28/2001 5:43:03 PM)
 */
public Vector getMasterMonthEvents(String userid) {
	Vector tempevents = new Vector();
	ConnectionBean conn = new ConnectionBean();
	try {
		
		
		PreparedStatement pStmt = 
			conn.getConn().prepareStatement(
				"select * from mastercalendar, calusers where (calusers.groupname1=mastercalendar.groupname or calusers.groupname2=mastercalendar.groupname or calusers.groupname3=mastercalendar.groupname or mastercalendar.groupname = 'all') and calusers.userid=?;");
			
		pStmt.setString(1, userid);
		
		ResultSet rs = pStmt.executeQuery();
		while(rs.next()){
			int eventid = rs.getInt(1);
			String eventname  = rs.getString("eventname");
			String groupname = rs.getString("groupname");
			String repeat = rs.getString("repeat");
			String repeattype = rs.getString("repeattype");
			String eventdescription = rs.getString("eventdescription");
			Calendar startdate = Calendar.getInstance();
			Calendar stopdate = Calendar.getInstance();	
				
			startdate.setTime(rs.getDate("startdate"));
			stopdate.setTime(rs.getDate("stopdate"));

			int eventstartmonth = startdate.get(startdate.MONTH);
			int eventstartyear = startdate.get(startdate.YEAR);

			int eventstopmonth = stopdate.get(stopdate.MONTH);
			int eventstopyear = stopdate.get(stopdate.YEAR);

			//want to be able to put this if into the sql statement instead
			//compares the events taken in with the year, and month to see if it belongs in this month view			
			if((eventstartmonth == month && repeat!=null && repeat.equals("year")) || (eventstartmonth == month && eventstartyear == year) || (repeat!=null && repeat.equals("week")) || (repeat!=null && repeat.equals("day")) || (repeat!=null && repeat.equals("month")) || (eventstopmonth == month && repeat!=null && repeat.equals("year")) || (eventstopmonth == month && eventstopyear == year) || (repeat!=null && repeat.equals("week")) || (repeat!=null && repeat.equals("day")) || (repeat!=null && repeat.equals("month"))){
					CalendarEvent temp = new CalendarEvent(eventid, eventname, groupname, repeat, repeattype, eventdescription, startdate, stopdate);
					tempevents.addElement(temp);
			}
			
		}
		
		conn.getConn().close();
		return tempevents;
		
	}
	catch (Exception e) {
		new HandleException(e);
	}				
		return tempevents;
}
/**
 * returns the month
 * Creation date: (7/28/2001 3:20:24 PM)
 * @return int
 */
public int getMonth() {
	return month;
}
/**
 * returns the userevents
 * Creation date: (7/29/2001 2:11:59 PM)
 * @return java.util.Vector
 */
public Vector getUserEvents() {
	return userEvents;
}
/**
 * returns a vector of usermonth events for user with a userid
 * Creation date: (7/28/2001 5:43:03 PM)
 */
public Vector getUserMonthEvents(String userid) {
	
	ConnectionBean conn = new ConnectionBean();
	try {
		Vector tempevents = new Vector();
		
		PreparedStatement pStmt = 
			conn.getConn().prepareStatement(
				"select * from usercalendar where userid = ?;");
			

		pStmt.setString(1, userid);
			
		ResultSet rs = pStmt.executeQuery();
		while(rs.next()){
			int eventid = rs.getInt(1);
			String eventname  = rs.getString("eventname");
			int contactid = rs.getInt("contactid");
			String repeat = rs.getString("repeat");
			String repeattype = rs.getString("repeattype");
			String eventdescription = rs.getString("eventdescription");
			Calendar startdate = Calendar.getInstance();
			Calendar stopdate = Calendar.getInstance();	
				
			startdate.setTime(rs.getDate("startdate"));
			stopdate.setTime(rs.getDate("stopdate"));

			int eventstartmonth = startdate.get(startdate.MONTH);
			int eventstartyear = startdate.get(startdate.YEAR);

			int eventstopmonth = stopdate.get(stopdate.MONTH);
			int eventstopyear = stopdate.get(stopdate.YEAR);
			
			//want to be able to put this if into the sql statement instead
			//compares the events taken in with the year, and month to see if it belongs in this month view			
			if((eventstartmonth == month && repeat!=null && repeat.equals("year")) || (eventstartmonth == month && eventstartyear == year) || (repeat!=null && repeat.equals("week")) || (repeat!=null && repeat.equals("day")) || (repeat!=null && repeat.equals("month")) || (eventstopmonth == month && repeat!=null && repeat.equals("year")) || (eventstopmonth == month && eventstopyear == year) || (repeat!=null && repeat.equals("week")) || (repeat!=null && repeat.equals("day")) || (repeat!=null && repeat.equals("month"))){
				CalendarEvent temp = new CalendarEvent(eventid, startdate, stopdate, eventname, repeat, repeattype, userid, eventdescription, contactid);
				tempevents.addElement(temp);
			}
	
		}
		
		conn.getConn().close();
		return tempevents;
		
	}
	catch (Exception e) {
		new HandleException(e);
	}				
		return null;
}
/**
 * returns the year
 * Creation date: (7/28/2001 3:20:35 PM)
 * @return int
 */
public int getYear() {
	return year;
}
/**
 * Starts the application. not used in this program
 * @param args an array of command-line arguments
 */
public static void main(java.lang.String[] args) {
	// Insert code to start the application here.
}
/**
 * sets the day
 * Creation date: (7/28/2001 3:21:12 PM)
 * @param newDay int
 */
public void setDay(int newDay) {
	day = newDay;
}
/**
 * sets the days in the month
 * Creation date: (8/1/2001 10:39:10 AM)
 * @param newDaysinmonth int
 */
public void setDaysinmonth(int newDaysinmonth) {
	daysinmonth = newDaysinmonth;
}
/**
 * sets the groups vector
 * Creation date: (7/30/2001 10:04:38 AM)
 * @param newGroups java.util.Vector
 */
public void setGroups(java.util.Vector newGroups) {
	groups = newGroups;
}
/**
 * sets the master events vector
 * Creation date: (7/29/2001 2:11:31 PM)
 * @param newMasterEvents java.util.Vector
 */
public void setMasterEvents(Vector newMasterEvents) {
	masterEvents = newMasterEvents;
}
/**
 * sets the month
 * Creation date: (7/28/2001 3:20:24 PM)
 * @param newMonth int
 */
public void setMonth(int newMonth) {
	month = newMonth;
}
/**
 * sets the userevents vector
 * Creation date: (7/29/2001 2:11:59 PM)
 * @param newUserEvents java.util.Vector
 */
public void setUserEvents(Vector newUserEvents) {
	userEvents = newUserEvents;
}
/**
 * sets the year
 * Creation date: (7/28/2001 3:20:35 PM)
 * @param newYear int
 */
public void setYear(int newYear) {
	year = newYear;
}
/**
 * displays the add master event screen
 * Creation date: (7/29/2001 3:39:29 PM)
 */
public void showAddMasterEvent(JspWriter out) {
	
	ConnectionBean conn = new ConnectionBean();
	
	try{
	//javascript error checking
	String yearcheck = "if(this.eventstartyear.value > this.eventstopyear.value){warn_about_date(); return false;}";
	String monthyearcheck = "if(this.eventstartyear.value == this.eventstopyear.value && this.eventstartmonth.value > this.eventstopmonth.value){warn_about_date(); return false;}";
	String monthdaycheck = "if(this.eventstartyear.value == this.eventstopyear.value && this.eventstartmonth.value == this.eventstopmonth.value && this.eventstartday.value > this.eventstopday.value){warn_about_date(); return false;}";
	String daytimecheck = "if(this.eventstartmonth.value == this.eventstopmonth.value && this.eventstopyear.value == this.eventstartyear.value && this.eventstartday.value == this.eventstopday.value && ((this.starthour.value > this.stophour.value && (this.startampm.value == this.stopampm.value)) || (this.startampm.value == 'pm' && this.stopampm.value == 'am') || (this.starthour.value == this.stophour.value && this.startminute.value > this.stopminute.value))){warn_about_date(); return false;}";
	String onSubmit = yearcheck + " " + daytimecheck + " " + monthyearcheck+" "+monthdaycheck+" "+"if(isrepeat.value == 'repeat' && repeat.value == 'week' && repeattype.value == 'date'){ warn_on_week(); return false;} if(isrepeat.value == 'repeat' && (!(this.eventstopmonth.value == this.eventstartmonth.value) || !(this.eventstopday.value == this.eventstartday.value) || !(this.eventstopyear.value == this.eventstartyear.value))){warn_on_change(); return false;} if(this.eventstopmonth.value == this.eventstartmonth.value){this.eventstartday.max=this.eventstopday.value; this.eventstopday.min=this.eventstartday.value;}else{this.eventstartday.max=31; this.eventstopday.min=1;} this.eventstopmonth.min=this.eventstartmonth.value; this.eventname.optional=false; this.eventdescription.optional=true; this.eventstartmonth.max=this.eventstopmonth.value; return verify(this);";
	
	//display add event
	out.println("<form onSubmit=\""+onSubmit+"\" action=\"CalendarMasterAddEvent.jsp\" method=\"post\">");
	out.println("<br>Add Event:<br>");
	out.println("Event Name: <input type=\"text\" name=\"eventname\"><br>");

	//print group names
	out.println("Group Name:");
	out.println("<select name=\"groupname\">");
	for(int i=0; i< groups.size(); i++){
		out.println("<option value=\""+groups.elementAt(i).toString()+"\">"+groups.elementAt(i).toString()+"</option>");
	}
	out.println("</select>");
	out.println("<br>");
	
	//print event start date
	out.println("Event Start Date:");
	//start month
	out.println("<select name=\"eventstartmonth\">");
	if(month == 0){
	out.println("<option value=\"1\" selected>January</option>");
	}
	else{
	out.println("<option value=\"1\">January</option>");
	}
	if(month == 1){
	out.println("<option value=\"2\" selected>February</option>");
	}
	else{
	out.println("<option value=\"2\">February</option>");
		
	}
	if(month == 2){
	out.println("<option value=\"3\" selected>March</option>");
	}
	else{
	out.println("<option value=\"3\">March</option>");	
	}
	if(month == 3){
	out.println("<option value=\"4\" selected>April</option>");
	}
	else{
	out.println("<option value=\"4\">April</option>");
		
	}
	if(month == 4){
	out.println("<option value=\"5\" selected>May</option>");
	}
	else{
	out.println("<option value=\"5\">May</option>");	
	}
	if(month == 5){
	out.println("<option value=\"6\" selected>June</option>");
	}
	else{
	out.println("<option value=\"6\">June</option>");	
	}
	if(month == 6){
	out.println("<option value=\"7\" selected>July</option>");
	}
	else{
	out.println("<option value=\"7\">July</option>");	
	}
	if(month == 7){
	out.println("<option value=\"8\" selected>August</option>");
	}
	else{
	out.println("<option value=\"8\">August</option>");	
	}
	if(month == 8){
	out.println("<option value=\"9\" selected>September</option>");
	}
	else{
	out.println("<option value=\"9\">September</option>");	
	}
	if(month == 9){
	out.println("<option value=\"10\" selected>October</option>");
	}
	else{
	out.println("<option value=\"10\">October</option>");	
	}
	if(month == 10){
	out.println("<option value=\"11\" selected>November</option>");
	}
	else{
	out.println("<option value=\"11\">November</option>");	
	}
	if(month == 11){
	out.println("<option value=\"12\" selected>December</option>");
	}
	else{
	out.println("<option value=\"12\">December</option>");	
	}
	
	out.println("</select>");

	//start day	
 	out.println("<select name=\"eventstartday\">");
    for (int i = 1; i<= 31; i++){
	    if(day == i){
		out.println("<option value=\""+i+"\" selected>"+i+"</option>");
	    }
	    else{
		out.println("<option value=\""+i+"\">"+i+"</option>");   
		}
	}
	out.println("</select>");

	//start year
   	out.println("Year: <input type=text maxlength=4 value=\""+year+"\" name=eventstartyear>");

   	//start time

   	//start hour
	out.println("Time:<select name=starthour>");
   	for(int i = 0; i< 12; i++){
   		out.println("<option value="+(i+1)+">"+(i+1)+"</option>");
   	}
   	out.println("</select>");

   	//start minute
   	out.println("<select name=startminute>");
   	for(int i = 0; i< 60; i++){
	   	if(i < 10){
   			out.println("<option value=0"+i+">0"+i+"</option>");
	   	}
	   	else{
			out.println("<option value="+i+">"+i+"</option>");  	
		}	
    }
   	out.println("</select>");

   	//start am or pm
   	out.println("<select name=startampm>");
   	out.println("<option value=am>A.M.</option>");
    out.println("<option value=pm>P.M.</option>");
	out.println("</select>");
   	
  	out.println("<br>");
   	
	//print stop event date
	out.println("Event Stop Date:");
	//stop month uses the current month for display
	out.println("<select name=\"eventstopmonth\">");
	if(month == 0){
	out.println("<option value=\"1\" selected>January</option>");
	}
	else{
	out.println("<option value=\"1\">January</option>");
	}
	if(month == 1){
	out.println("<option value=\"2\" selected>February</option>");
	}
	else{
	out.println("<option value=\"2\">February</option>");
		
	}
	if(month == 2){
	out.println("<option value=\"3\" selected>March</option>");
	}
	else{
	out.println("<option value=\"3\">March</option>");	
	}
	if(month == 3){
	out.println("<option value=\"4\" selected>April</option>");
	}
	else{
	out.println("<option value=\"4\">April</option>");
		
	}
	if(month == 4){
	out.println("<option value=\"5\" selected>May</option>");
	}
	else{
	out.println("<option value=\"5\">May</option>");	
	}
	if(month == 5){
	out.println("<option value=\"6\" selected>June</option>");
	}
	else{
	out.println("<option value=\"6\">June</option>");	
	}
	if(month == 6){
	out.println("<option value=\"7\" selected>July</option>");
	}
	else{
	out.println("<option value=\"7\">July</option>");	
	}
	if(month == 7){
	out.println("<option value=\"8\" selected>August</option>");
	}
	else{
	out.println("<option value=\"8\">August</option>");	
	}
	if(month == 8){
	out.println("<option value=\"9\" selected>September</option>");
	}
	else{
	out.println("<option value=\"9\">September</option>");	
	}
	if(month == 9){
	out.println("<option value=\"10\" selected>October</option>");
	}
	else{
	out.println("<option value=\"10\">October</option>");	
	}
	if(month == 10){
	out.println("<option value=\"11\" selected>November</option>");
	}
	else{
	out.println("<option value=\"11\">November</option>");	
	}
	if(month == 11){
	out.println("<option value=\"12\" selected>December</option>");
	}
	else{
	out.println("<option value=\"12\">December</option>");	
	}
	
	out.println("</select>");

	//stop day
 	out.println("<select name=\"eventstopday\">");
    for (int i = 1; i<= 31; i++){
	    if(day == i){
		out.println("<option value=\""+i+"\" selected>"+i+"</option>");
	    }
	    else{
		out.println("<option value=\""+i+"\">"+i+"</option>");   
		}
	}
	out.println("</select>");

	//stop year
   	out.println("Year: <input type=text maxlength=4 value=\""+year+"\" name=eventstopyear>");

   	//stop time

   	//stop hour
	out.println("Time:<select name=stophour>");
   	for(int i = 0; i< 12; i++){
   		out.println("<option value="+(i+1)+">"+(i+1)+"</option>");
   	}
   	out.println("</select>");

   	//stop minute
   	out.println("<select name=stopminute>");
   	out.println("<option value=00 selected>00</option>");
   	for(int i = 1; i< 60; i++){
	   	if(i < 10){
   			out.println("<option value=0"+i+">0"+i+"</option>");
	   	}
	   	else{
			out.println("<option value="+i+">"+i+"</option>");  	
		}	
   }
   	out.println("</select>");

   //stop am or pm
   out.println("<select name=stopampm>");
   out.println("<option value=am>A.M.</option>");
   out.println("<option value=pm>P.M.</option>");
   out.println("</select>");

   //is this a repeat event?
    out.println("<br>");
   	out.println("Repeat Event:<select name=isrepeat>");
  	out.println("<option value=onetime selected>No</option>");
  	out.println("<option value=repeat>Yes</option>");
	out.println("</select>");	
	out.println("<br>");

	//what type of repeat is this?
	out.println("Repeat Type:<select name=repeat>");
	out.println("<option value=\"year\" selected>Yearly</option>");
	out.println("<option value=\"month\">Monthly</option>");
	out.println("<option value=\"week\">Weekly</option>");
	out.println("</select>");
	
	out.println("<br>");

	//is this a repeat by date or day of week?
	out.println("Repeat by:<select name=repeattype>");
	out.println("<option value=\"date\" selected>Date</option>");
	out.println("<option value=\"day\">Day of Week</option>");
	out.println("</select>");
	out.println("<br>");

	//event description	
	out.println("Event Description: <textarea cols=40 rows=5 name=eventdescription> </textarea>");

	//submit button
	out.println("<br><input type=\"submit\" value=\"Add Event\">");

	//hidden variable to check event
	out.println("<input type=hidden name=addevent value=addevent>");
	
	
	out.println("</form>");

	
	}
	catch(Exception e){
		System.out.println("Exception in HtmlCalendar:showAddMasterEvent:"+e);
		
	}	
	
	
	
	
	
	
	
	
	
	
	
}
/**
 * displays the add user event screen
 * Creation date: (7/29/2001 3:39:29 PM)
 */
public void showAddUserEvent(JspWriter out, String userid) {
	
	ConnectionBean conn = new ConnectionBean();
	
	try{
	//javascript error checking
	String yearcheck = "if(this.eventstartyear.value > this.eventstopyear.value){warn_about_date(); return false;}";
	String monthyearcheck = "if(this.eventstartyear.value == this.eventstopyear.value && this.eventstartmonth.value > this.eventstopmonth.value){warn_about_date(); return false;}";
	String monthdaycheck = "if(this.eventstartyear.value == this.eventstopyear.value && this.eventstartmonth.value == this.eventstopmonth.value && this.eventstartday.value > this.eventstopday.value){warn_about_date(); return false;}";
	String daytimecheck = "if(this.eventstartmonth.value == this.eventstopmonth.value && this.eventstopyear.value == this.eventstartyear.value && this.eventstartday.value == this.eventstopday.value && ((this.starthour.value > this.stophour.value && (this.startampm.value == this.stopampm.value)) || (this.startampm.value == 'pm' && this.stopampm.value == 'am') || (this.starthour.value == this.stophour.value && this.startminute.value > this.stopminute.value))){warn_about_date(); return false;}";
	String onSubmit = yearcheck + " " + daytimecheck + " " + monthyearcheck+" "+monthdaycheck+" "+"if(isrepeat.value == 'repeat' && repeat.value == 'week' && repeattype.value == 'date'){ warn_on_week(); return false;} if(isrepeat.value == 'repeat' && (!(this.eventstopmonth.value == this.eventstartmonth.value) || !(this.eventstopday.value == this.eventstartday.value) || !(this.eventstopyear.value == this.eventstartyear.value))){warn_on_change(); return false;} if(this.eventstopmonth.value == this.eventstartmonth.value){this.eventstartday.max=this.eventstopday.value; this.eventstopday.min=this.eventstartday.value;}else{this.eventstartday.max=31; this.eventstopday.min=1;} this.eventstopmonth.min=this.eventstartmonth.value; this.eventname.optional=false; this.eventdescription.optional=true; this.eventstartmonth.max=this.eventstopmonth.value; return verify(this);";
	
	//display add event
	out.println("<form onSubmit=\""+onSubmit+"\" action=\"CalendarUserAddEvent.jsp\" method=\"post\">");
	out.println("<br>Add Event:<br>");
	out.println("Event Name: <input type=\"text\" name=\"eventname\"><br>");

	//grabs the contacts for user and displays them
	ContactManagement cm = new ContactManagement();
	Vector contacts = cm.storeContacts(userid);
	out.println("<br>Contact Person");
	out.println("<select name=contactid>");
	out.println("<option value=-1 selected>None</Option>");
	//add contact list here when done
	for(int i = 0; i < contacts.size(); i++){
		out.println("<option value="+((ContactManagement)contacts.elementAt(i)).getContactid()+">"+((ContactManagement)contacts.elementAt(i)).getFname1()+" "+((ContactManagement)contacts.elementAt(i)).getLname1()+"</option>");
	}
	out.println("</select>");
	//link to contact management
	out.println("<a href=ContactManagement.jsp>Add Contact</a>");
	
	out.println("<br><br>");
	
	//print event start date
	out.println("Event Start Date:");
	out.println("<br>");
	//start month
	out.println("<select name=\"eventstartmonth\">");
	if(month == 0){
	out.println("<option value=\"1\" selected>January</option>");
	}
	else{
	out.println("<option value=\"1\">January</option>");
	}
	if(month == 1){
	out.println("<option value=\"2\" selected>February</option>");
	}
	else{
	out.println("<option value=\"2\">February</option>");
		
	}
	if(month == 2){
	out.println("<option value=\"3\" selected>March</option>");
	}
	else{
	out.println("<option value=\"3\">March</option>");	
	}
	if(month == 3){
	out.println("<option value=\"4\" selected>April</option>");
	}
	else{
	out.println("<option value=\"4\">April</option>");
		
	}
	if(month == 4){
	out.println("<option value=\"5\" selected>May</option>");
	}
	else{
	out.println("<option value=\"5\">May</option>");	
	}
	if(month == 5){
	out.println("<option value=\"6\" selected>June</option>");
	}
	else{
	out.println("<option value=\"6\">June</option>");	
	}
	if(month == 6){
	out.println("<option value=\"7\" selected>July</option>");
	}
	else{
	out.println("<option value=\"7\">July</option>");	
	}
	if(month == 7){
	out.println("<option value=\"8\" selected>August</option>");
	}
	else{
	out.println("<option value=\"8\">August</option>");	
	}
	if(month == 8){
	out.println("<option value=\"9\" selected>September</option>");
	}
	else{
	out.println("<option value=\"9\">September</option>");	
	}
	if(month == 9){
	out.println("<option value=\"10\" selected>October</option>");
	}
	else{
	out.println("<option value=\"10\">October</option>");	
	}
	if(month == 10){
	out.println("<option value=\"11\" selected>November</option>");
	}
	else{
	out.println("<option value=\"11\">November</option>");	
	}
	if(month == 11){
	out.println("<option value=\"12\" selected>December</option>");
	}
	else{
	out.println("<option value=\"12\">December</option>");	
	}
	out.println("</select>");

	//start day	
 	out.println("<select name=\"eventstartday\">");
    for (int i = 1; i<= 31; i++){
	    if(day == i){
		out.println("<option value=\""+i+"\" selected>"+i+"</option>");
	    }
	    else{
		out.println("<option value=\""+i+"\">"+i+"</option>");   
		}
	}
	out.println("</select>");

	//start year
   	out.println("Year: <input type=text maxlength=4 value=\""+year+"\" name=eventstartyear>");
	out.println("<br>");
   	//start time

   	//start hour
	out.println("Time:<select name=starthour>");
   	for(int i = 0; i< 12; i++){
   		out.println("<option value="+(i+1)+">"+(i+1)+"</option>");
   	}
   	out.println("</select>");

   	//start minute
   	out.println("<select name=startminute>");
   	for(int i = 0; i< 60; i++){
	   	if(i < 10){
   			out.println("<option value=0"+i+">0"+i+"</option>");
	   	}
	   	else{
			out.println("<option value="+i+">"+i+"</option>");  	
		}	
    }
   	out.println("</select>");

   	//start am or pm
   	out.println("<select name=startampm>");
   	out.println("<option value=am>A.M.</option>");
    out.println("<option value=pm>P.M.</option>");
    out.println("</select>");
   	out.println("<br><br>");
   	
	//print stop event date
	out.println("Event Stop Date:");
		out.println("<br>");
	//stop month
	out.println("<select name=\"eventstopmonth\">");
	if(month == 0){
	out.println("<option value=\"1\" selected>January</option>");
	}
	else{
	out.println("<option value=\"1\">January</option>");
	}
	if(month == 1){
	out.println("<option value=\"2\" selected>February</option>");
	}
	else{
	out.println("<option value=\"2\">February</option>");
		
	}
	if(month == 2){
	out.println("<option value=\"3\" selected>March</option>");
	}
	else{
	out.println("<option value=\"3\">March</option>");	
	}
	if(month == 3){
	out.println("<option value=\"4\" selected>April</option>");
	}
	else{
	out.println("<option value=\"4\">April</option>");
		
	}
	if(month == 4){
	out.println("<option value=\"5\" selected>May</option>");
	}
	else{
	out.println("<option value=\"5\">May</option>");	
	}
	if(month == 5){
	out.println("<option value=\"6\" selected>June</option>");
	}
	else{
	out.println("<option value=\"6\">June</option>");	
	}
	if(month == 6){
	out.println("<option value=\"7\" selected>July</option>");
	}
	else{
	out.println("<option value=\"7\">July</option>");	
	}
	if(month == 7){
	out.println("<option value=\"8\" selected>August</option>");
	}
	else{
	out.println("<option value=\"8\">August</option>");	
	}
	if(month == 8){
	out.println("<option value=\"9\" selected>September</option>");
	}
	else{
	out.println("<option value=\"9\">September</option>");	
	}
	if(month == 9){
	out.println("<option value=\"10\" selected>October</option>");
	}
	else{
	out.println("<option value=\"10\">October</option>");	
	}
	if(month == 10){
	out.println("<option value=\"11\" selected>November</option>");
	}
	else{
	out.println("<option value=\"11\">November</option>");	
	}
	if(month == 11){
	out.println("<option value=\"12\" selected>December</option>");
	}
	else{
	out.println("<option value=\"12\">December</option>");	
	}
	
	out.println("</select>");

	//stop day
 	out.println("<select name=\"eventstopday\">");
    for (int i = 1; i<= 31; i++){
	    if(day == i){
		out.println("<option value=\""+i+"\" selected>"+i+"</option>");
	    }
	    else{
		out.println("<option value=\""+i+"\">"+i+"</option>");   
		}
	}
	out.println("</select>");

	//stop year
   	out.println("Year: <input type=text maxlength=4 value=\""+year+"\" name=eventstopyear>");
		out.println("<br>");
   	//stop hour
	out.println("Time:<select name=stophour>");
   	for(int i = 0; i< 12; i++){
   		out.println("<option value="+(i+1)+">"+(i+1)+"</option>");
   	}
   	out.println("</select>");

   	//stop minute
   	out.println("<select name=stopminute>");
   	out.println("<option value=00 selected>00</option>");
   	for(int i = 1; i< 60; i++){
	   	if(i < 10){
   			out.println("<option value=0"+i+">0"+i+"</option>");
	   	}
	   	else{
			out.println("<option value="+i+">"+i+"</option>");  	
		}	
   }
   out.println("</select>");

   //stop am or pm
   out.println("<select name=stopampm>");
   out.println("<option value=am>A.M.</option>");
   out.println("<option value=pm>P.M.</option>");
   out.println("</select>");

   out.println("<br>");
   //is this a repeat event? 
    out.println("<br>");
    out.println("Repeat Event:<select name=isrepeat>");
    out.println("<option value=onetime selected>No</option>");
    out.println("<option value=repeat>Yes</option>");
	out.println("</select>");	
  	out.println("<br>");
 
  	//what time of repeat is this?	
	out.println("Repeat Type:<select name=repeat>");
	out.println("<option value=\"year\" selected>Yearly</option>");
	out.println("<option value=\"month\">Monthly</option>");
	out.println("<option value=\"week\">Weekly</option>");
	out.println("</select>");
	
	out.println("<br>");

	//repeat by date or day of week?
	out.println("Repeat by:<select name=repeattype>");
	out.println("<option value=\"date\" selected>Date</option>");
	out.println("<option value=\"day\">Day of Week</option>");
	out.println("</select>");
	out.println("<br>");
	
	//event description
	out.println("Event Description: <textarea cols=40 rows=5 name=eventdescription> </textarea>");

	
	out.println("<br><input type=\"submit\" value=\"Add Event\">");

	out.println("<input type=hidden name=addevent value=addevent>");
	out.println("<input type=hidden name=userid value="+userid+">");

	out.println("</form>");

	
	}
	catch(Exception e){
		System.out.println("Exception in HtmlCalendar:showAddMasterEvent:"+e);
		
	}	
	
	
	
	
	
	
	
	
	
	
	
}
/**
 * displays the master month view
 * Creation date: (7/30/2001 1:03:28 PM)
 * @param out javax.servlet.jsp.JspWriter
 */
public void showMasterMonthView(JspWriter out, Calendar cal) {
	try{	
	//print out month calendar according to appropriate date provided	
	year = cal.get(cal.YEAR);
	month = cal.get(cal.MONTH);
	day = cal.get(cal.DATE);
	daysinmonth = cal.getActualMaximum(cal.DAY_OF_MONTH);
	
	//grab all masterevents	in month
	masterEvents = getMasterMonthEvents();

	//get day of week of first day to determine how to print out the calendar
	cal.set(cal.DATE, 1);
	int dayoftheweek = cal.get(cal.DAY_OF_WEEK);

	//print out current month
	out.println("<table rules=all>");
	if(month == 0){
	out.println("<tr><td>January</td></tr>");	
	}
	else if(month == 1){
	out.println("<tr><td>February</td></tr>");	
	}
	else if(month == 2){
	out.println("<tr><td>March</td></tr>");	
	}
	else if(month == 3){
	out.println("<tr><td>April</td></tr>");	
	}
	else if(month == 4){
	out.println("<tr><td>May</td></tr>");	
	}
	else if(month == 5){
	out.println("<tr><td>June</td></tr>");	
	}
	else if(month == 6){
	out.println("<tr><td>July</td></tr>");	
	}
	else if(month == 7){
	out.println("<tr><td>August</td></tr>");	
	}
	else if(month == 8){
	out.println("<tr><td>September</td></tr>");	
	}
	else if(month == 9){
	out.println("<tr><td>October</td></tr>");	
	}
	else if(month == 10){
	out.println("<tr><td>November</td></tr>");	
	}
	else if(month == 11){
	out.println("<tr><td>December</td></tr>");	
	}

	//print out standard days of week sunday - saturday
	out.println("<tr><td>Sunday</td><td>Monday</td><td>Tuesday</td><td>Wednesday</td><td>Thursday</td><td>Friday</td><td>Saturday</td></tr>");

	int daycount = 0;

	//start day count and create a cell for each day in month
	while(daycount < daysinmonth){
		out.println("<tr>");

		//if its first week of month display blank cells for days of last month
		if(daycount == 0){
			for(int j = 1; j<dayoftheweek; j++){
				out.println("<td> </td>");
			}

			//display the first usually shortened week
			for(int j =dayoftheweek; j<= 7; j++){
				daycount++;	
				out.println("<td><a href=\"CalendarMasterAddEvent.jsp?day="+daycount+"\">"+daycount+"</a>");
				cal.set(cal.DAY_OF_MONTH, daycount);
				displayMasterEvents(out, cal);
				out.println("</td>");
				
		
			}
		}//after printing out first week every week is displayed accordingly with links to event views and adds for the days
		else{
			for(int j =1; j<= 7; j++){
				if(daycount < daysinmonth){
					daycount++;
					out.println("<td><a href=\"CalendarMasterAddEvent.jsp?day="+daycount+"\">"+daycount+"</a>");
					cal.set(cal.DAY_OF_MONTH, daycount);
					displayMasterEvents(out, cal);
					out.println("</td>");
					
				}
				
				
			}		
				
		}
		

		out.println("</tr>");
	}
	out.println("</table>");
	}
	catch(Exception e){
		System.out.println("Exception caught in HtmlCalendar:showMonthView:"+e);
		
	}	
	
}
/**
 * displays the month master events edit
 * Creation date: (7/29/2001 1:40:26 PM)
 */
public void showMonthMasterEvents(JspWriter out) {

	try{
	//get the master month events	
	masterEvents = getMasterMonthEvents();
	
	//display list of events
	out.println("<table rules=all>");
	out.println("<tr><td>Master Event Id</td><td>Event Name</td><td>Start Date</td><td>Stop Date</td><td>Group Name</td><td>Repeat</td><td>Repeat Type</td><td>Actions</td></tr>");
	for(int i =0; i < masterEvents.size(); i++){
		CalendarEvent e = (CalendarEvent)masterEvents.elementAt(i);
		out.println("<tr>");
		out.println("<td>"+e.getEventid()+"</td>");
		out.println("<td>"+e.getEventname()+"</td>");
		out.println("<td>"+e.getStartdate().getTime().toString()+"</td>");
		out.println("<td>"+e.getStopdate().getTime().toString()+"</td>");
		
		out.println("<td>"+e.getGroupname()+"</td>");
		
		if(e.getRepeat()!=null&&e.getRepeattype()!=null){
			out.println("<td>"+e.getRepeat()+"</td>");
			out.println("<td>"+e.getRepeattype()+"</td>");
		}
		else{
			out.println("<td>No</td>");
			out.println("<td>No</td>");
			
		}
		//display links to edit and delete each event
		out.println("<td><a href=\"CalendarMasterEditEvent.jsp?eventid="+e.getEventid()+"\">Edit</a>");
		out.println("<a href=\"CalendarMasterDeleteEvent.jsp?eventid="+e.getEventid()+"\">Delete</a>");

		
	}
	out.println("</table>");

	//link to add new event
	out.println("<table rules=all>");
	out.println("<tr><td><a href=\"CalendarMasterAddEvent.jsp\">Add New Event</a></td></tr>");
	out.println("</table>");
	}
	catch(Exception e){
		System.out.println("Exception in HtmlCalendar:showEditMonthMasterEvents:"+e);
		
	}
	
		
	
}
/**
 * displays the month user events edit
 * Creation date: (7/29/2001 1:40:26 PM)
 */
public void showMonthUserEvents(JspWriter out, String userid) {

	try{
		//grab the user month events to display
	    userEvents = getUserMonthEvents(userid);
	
	    //display list of user events
	out.println("<table rules=all>");
	out.println("<tr><td>Event Name</td><td>Start Date</td><td>Stop Date</td><td>Contact Name</td><td>Repeat</td><td>Repeat Type</td><td>Actions</td></tr>");
	for(int i =0; i < userEvents.size(); i++){
		CalendarEvent e = (CalendarEvent)userEvents.elementAt(i);
		ContactManagement cm = new ContactManagement();
		cm.fillInfo(e.getContactid());
		
		out.println("<tr>");
		out.println("<td>"+e.getEventname()+"</td>");

		//check to see what to display for listing sell ect.
		
		out.println("<td>"+e.getStartdate().getTime().toString()+"</td>");
		out.println("<td>"+e.getStopdate().getTime().toString()+"</td>");

		if(e.getContactid() < 0){
			out.println("<td>None</td>");
		}
		else{
			out.println("<td>"+cm.getFname1()+" "+cm.getLname1()+"</td>");
		
		}
		if(e.getRepeat()!=null&&e.getRepeattype()!=null){
			out.println("<td>"+e.getRepeat()+"</td>");
			out.println("<td>"+e.getRepeattype()+"</td>");
		}
		else{
			out.println("<td>No</td>");
			out.println("<td>No</td>");
			
		}
		//links to edit and delete user events		
		out.println("<td><a href=\"CalendarUserEditEvent.jsp?userid="+userid+"&eventid="+e.getEventid()+"\">Edit</a>");
		out.println("<a href=\"CalendarUserDeleteEvent.jsp?userid="+userid+"&eventid="+e.getEventid()+"\">Delete</a>");

		
	}
	
	out.println("</table>");

	//link to add user event
	out.println("<table rules=all>");
	out.println("<tr><td><a href=\"CalendarUserAddEvent.jsp?userid="+userid+"\">Add New Event</a></td></tr>");
	
	}
	catch(Exception e){
		System.out.println("Exception in HtmlCalendar:showEditMonthMasterEvents:"+e);
		
	}
	
		
	
}
/**
 * displays the update master event
 * Creation date: (7/29/2001 3:39:29 PM)
 */
public void showUpdateMasterEvent(JspWriter out, int mastereventid) {
	
	//master event is stored by its id
	CalendarEvent event = new CalendarEvent();
	event.storeMasterEvent(mastereventid);
	try{
	//java script error checking
	String yearcheck = "if(this.eventstartyear.value > this.eventstopyear.value){warn_about_date(); return false;}";
	String monthyearcheck = "if(this.eventstartyear.value == this.eventstopyear.value && this.eventstartmonth.value > this.eventstopmonth.value){warn_about_date(); return false;}";
	String monthdaycheck = "if(this.eventstartyear.value == this.eventstopyear.value && this.eventstartmonth.value == this.eventstopmonth.value && this.eventstartday.value > this.eventstopday.value){warn_about_date(); return false;}";
	String daytimecheck = "if(this.eventstartmonth.value == this.eventstopmonth.value && this.eventstopyear.value == this.eventstartyear.value && this.eventstartday.value == this.eventstopday.value && ((this.starthour.value > this.stophour.value && (this.startampm.value == this.stopampm.value)) || (this.startampm.value == 'pm' && this.stopampm.value == 'am') || (this.starthour.value == this.stophour.value && this.startminute.value > this.stopminute.value))){warn_about_date(); return false;}";
	String onSubmit = yearcheck + " " + daytimecheck + " " + monthyearcheck+" "+monthdaycheck+" "+"if(isrepeat.value == 'repeat' && repeat.value == 'week' && repeattype.value == 'date'){ warn_on_week(); return false;} if(isrepeat.value == 'repeat' && (!(this.eventstopmonth.value == this.eventstartmonth.value) || !(this.eventstopday.value == this.eventstartday.value) || !(this.eventstopyear.value == this.eventstartyear.value))){warn_on_change(); return false;} if(this.eventstopmonth.value == this.eventstartmonth.value){this.eventstartday.max=this.eventstopday.value; this.eventstopday.min=this.eventstartday.value;}else{this.eventstartday.max=31; this.eventstopday.min=1;} this.eventstopmonth.min=this.eventstartmonth.value; this.eventname.optional=false; this.eventdescription.optional=true; this.eventstartmonth.max=this.eventstopmonth.value; return verify(this);";
	
	//display update event
	out.println("<form onSubmit=\""+onSubmit+"\" action=\"CalendarMasterEditEvent.jsp\" method=\"post\">");
	out.println("<br>Update Event:<br>");
	
	//display event name
	out.println("Event Name: <input type=\"text\" value=\""+event.getEventname()+"\" name=\"eventname\"><br>");

	//display group name
	out.println("Group Name:");
	out.println("<select name=\"groupname\">");
	for(int i=0; i< groups.size(); i++){
		out.println("<option value=\""+groups.elementAt(i).toString()+"\">"+groups.elementAt(i).toString()+"</option>");
	}
	out.println("</select>");

	//start time
	out.println("Event Start Date:");
	//display start month
	out.println("<select name=\"eventstartmonth\">");
	if(event.getStartdate().get(Calendar.MONTH) == 0){
	out.println("<option value=\"1\" selected>January</option>");
	}
	else{
	out.println("<option value=\"1\">January</option>");
	}
	if(event.getStartdate().get(Calendar.MONTH) == 1){
	out.println("<option value=\"2\" selected>February</option>");
	}
	else{
	out.println("<option value=\"2\">February</option>");
		
	}
	if(event.getStartdate().get(Calendar.MONTH) == 2){
	out.println("<option value=\"3\" selected>March</option>");
	}
	else{
	out.println("<option value=\"3\">March</option>");	
	}
	if(event.getStartdate().get(Calendar.MONTH) == 3){
	out.println("<option value=\"4\" selected>April</option>");
	}
	else{
	out.println("<option value=\"4\">April</option>");
		
	}
	if(event.getStartdate().get(Calendar.MONTH) == 4){
	out.println("<option value=\"5\" selected>May</option>");
	}
	else{
	out.println("<option value=\"5\">May</option>");	
	}
	if(event.getStartdate().get(Calendar.MONTH) == 5){
	out.println("<option value=\"6\" selected>June</option>");
	}
	else{
	out.println("<option value=\"6\">June</option>");	
	}
	if(event.getStartdate().get(Calendar.MONTH) == 6){
	out.println("<option value=\"7\" selected>July</option>");
	}
	else{
	out.println("<option value=\"7\">July</option>");	
	}
	if(event.getStartdate().get(Calendar.MONTH) == 7){
	out.println("<option value=\"8\" selected>August</option>");
	}
	else{
	out.println("<option value=\"8\">August</option>");	
	}
	if(event.getStartdate().get(Calendar.MONTH) == 8){
	out.println("<option value=\"9\" selected>September</option>");
	}
	else{
	out.println("<option value=\"9\">September</option>");	
	}
	if(event.getStartdate().get(Calendar.MONTH) == 9){
	out.println("<option value=\"10\" selected>October</option>");
	}
	else{
	out.println("<option value=\"10\">October</option>");	
	}
	if(event.getStartdate().get(Calendar.MONTH) == 10){
	out.println("<option value=\"11\" selected>November</option>");
	}
	else{
	out.println("<option value=\"11\">November</option>");	
	}
	if(event.getStartdate().get(Calendar.MONTH) == 11){
	out.println("<option value=\"12\" selected>December</option>");
	}
	else{
	out.println("<option value=\"12\">December</option>");	
	}
	
	out.println("</select>");

	//display start day	
 	out.println("<select name=\"eventstartday\">");
    for (int i = 1; i<= 31; i++){
		if(event.getStartdate().get(Calendar.DAY_OF_MONTH) == i){
	    out.println("<option value=\""+i+"\" selected>"+i+"</option>");
		}
		else{
		out.println("<option value=\""+i+"\">"+i+"</option>");	
		}
	}
	out.println("</select>");

	//display start year
   	out.println("Year: <input type=text maxlength=4 value="+(event.getStartdate().get(Calendar.YEAR))+" name=eventstartyear><br>");
   	out.println("<br>");
 	 	
	//display start hour
   	out.println("Start Time:<select name=starthour>");
   	for(int i = 0; i< 12; i++){

	    if(event.getStartdate().get(Calendar.HOUR) == (i+1)){
   			out.println("<option value="+(i+1)+" selected>"+(i+1)+"</option>");
	    }
	    else{
		   out.println("<option value="+(i+1)+">"+(i+1)+"</option>"); 
		}
   	}
   	out.println("</select>");

	//display start minute
   	out.println("<select name=startminute>");
   	for(int i = 0; i< 60; i++){
	   
	   if(event.getStartdate().get(Calendar.MINUTE) == i){	
	   	if(i < 10){
   			out.println("<option value=0"+i+" selected>0"+i+"</option>");
	   	}
	   	else{
			out.println("<option value="+i+" selected>"+i+"</option>");  	
		}
	   	
	   }
	   else{
		if(i < 10){
   			out.println("<option value=0"+i+">0"+i+"</option>");
	   	}
	   	else{
			out.println("<option value="+i+">"+i+"</option>");  	
		} 
		   
	   }	
   }
   	out.println("</select>");

   	//is it am or pm
   	out.println("<select name=startampm>");
	if(event.getStartdate().get(Calendar.HOUR_OF_DAY) < 12){
		out.println("<option value=am selected>A.M.</option>");
	}
	else{
		out.println("<option value=am>A.M.</option>");
	}

	if(event.getStartdate().get(Calendar.HOUR_OF_DAY) >= 12){
		 out.println("<option value=pm selected>P.M.</option>");
	}
	else{
		 out.println("<option value=pm>P.M.</option>");
	}
  
   out.println("</select>");

	//display stop date
   out.println("Event Stop Date:");

   //display stop month
   out.println("<select name=\"eventstopmonth\">");
	if(event.getStopdate().get(Calendar.MONTH) == 0){
	out.println("<option value=\"1\" selected>January</option>");
	}
	else{
	out.println("<option value=\"1\">January</option>");
	}
	if(event.getStopdate().get(Calendar.MONTH) == 1){
	out.println("<option value=\"2\" selected>February</option>");
	}
	else{
	out.println("<option value=\"2\">February</option>");
		
	}
	if(event.getStopdate().get(Calendar.MONTH) == 2){
	out.println("<option value=\"3\" selected>March</option>");
	}
	else{
	out.println("<option value=\"3\">March</option>");	
	}
	if(event.getStopdate().get(Calendar.MONTH) == 3){
	out.println("<option value=\"4\" selected>April</option>");
	}
	else{
	out.println("<option value=\"4\">April</option>");
		
	}
	if(event.getStopdate().get(Calendar.MONTH) == 4){
	out.println("<option value=\"5\" selected>May</option>");
	}
	else{
	out.println("<option value=\"5\">May</option>");	
	}
	if(event.getStopdate().get(Calendar.MONTH) == 5){
	out.println("<option value=\"6\" selected>June</option>");
	}
	else{
	out.println("<option value=\"6\">June</option>");	
	}
	if(event.getStopdate().get(Calendar.MONTH) == 6){
	out.println("<option value=\"7\" selected>July</option>");
	}
	else{
	out.println("<option value=\"7\">July</option>");	
	}
	if(event.getStopdate().get(Calendar.MONTH) == 7){
	out.println("<option value=\"8\" selected>August</option>");
	}
	else{
	out.println("<option value=\"8\">August</option>");	
	}
	if(event.getStopdate().get(Calendar.MONTH) == 8){
	out.println("<option value=\"9\" selected>September</option>");
	}
	else{
	out.println("<option value=\"9\">September</option>");	
	}
	if(event.getStopdate().get(Calendar.MONTH) == 9){
	out.println("<option value=\"10\" selected>October</option>");
	}
	else{
	out.println("<option value=\"10\">October</option>");	
	}
	if(event.getStopdate().get(Calendar.MONTH) == 10){
	out.println("<option value=\"11\" selected>November</option>");
	}
	else{
	out.println("<option value=\"11\">November</option>");	
	}
	if(event.getStopdate().get(Calendar.MONTH) == 11){
	out.println("<option value=\"12\" selected>December</option>");
	}
	else{
	out.println("<option value=\"12\">December</option>");	
	}
	
	out.println("</select>");
	
	//display stop day
	out.println("<select name=\"eventstopday\">");
    for (int i = 1; i<= 31; i++){
		if(event.getStopdate().get(Calendar.DAY_OF_MONTH) == i){
	    out.println("<option value=\""+i+"\" selected>"+i+"</option>");
		}
		else{
		out.println("<option value=\""+i+"\">"+i+"</option>");	
		}
	}
	out.println("</select>");

	//display stop year
	out.println("Year: <input type=text maxlength=4 value="+(event.getStopdate().get(Calendar.YEAR))+" name=eventstopyear><br>");
   	out.println("<br>");
 	
	//stop time  	

	//display stop hour
	out.println("Stop Time:<select name=stophour>");
   	for(int i = 0; i< 12; i++){

	    if(event.getStopdate().get(Calendar.HOUR) == (i+1)){
   			out.println("<option value="+(i+1)+" selected>"+(i+1)+"</option>");
	    }
	    else{
		   out.println("<option value="+(i+1)+">"+(i+1)+"</option>"); 
		}
   	}
   	out.println("</select>");

	//display stop minute
   	out.println("<select name=stopminute>");
   	for(int i = 0; i< 60; i++){
	   
	   if(event.getStopdate().get(Calendar.MINUTE) == i){	
	   	if(i < 10){
   			out.println("<option value=0"+i+" selected>0"+i+"</option>");
	   	}
	   	else{
			out.println("<option value="+i+" selected>"+i+"</option>");  	
		}
	   	
	   }
	   else{
		if(i < 10){
   			out.println("<option value=0"+i+">0"+i+"</option>");
	   	}
	   	else{
			out.println("<option value="+i+">"+i+"</option>");  	
		} 
		   
	   }	
   }
   	out.println("</select>");

   	//is it am or pm?
   	out.println("<select name=stopampm>");
	if(event.getStopdate().get(Calendar.HOUR_OF_DAY) < 12){
		out.println("<option value=am selected>A.M.</option>");
	}
	else{
		out.println("<option value=am>A.M.</option>");
	}

	if(event.getStopdate().get(Calendar.HOUR_OF_DAY) >= 12){
		 out.println("<option value=pm selected>P.M.</option>");
	}
	else{
		 out.println("<option value=pm>P.M.</option>");
	}
  
   out.println("</select>");

    
    out.println("<br>");
    //is it a repeat event
    out.println("Repeat Event:<select name=isrepeat>");
  	if(event.getRepeat()!=null){
		out.println("<option value=onetime>No</option>");
  		out.println("<option value=repeat selected>Yes</option>");
  	}
  	else{
	  	out.println("<option value=onetime selected>No</option>");
  		out.println("<option value=repeat>Yes</option>");
	}
  	out.println("</select>");	
	out.println("<br>");
  	
	//what type of repeat event?
	out.println("Repeat Type:<select name=repeat>");
	if((event.getRepeat()==null)||(event.getRepeat()!=null&&event.getRepeat().equals("year"))){
	out.println("<option value=\"year\" selected>Yearly</option>");
	}
	else{
	out.println("<option value=\"year\">Yearly</option>");
	}
	if(event.getRepeat()!=null&&event.getRepeat().equals("month")){
	out.println("<option value=\"month\" selected>Monthly</option>");
	}
	else{
	out.println("<option value=\"month\">Monthly</option>");
	}
	if(event.getRepeat()!=null&&event.getRepeat().equals("week")){
	out.println("<option value=\"week\" selected>Weekly</option>");
	}
	else{
	out.println("<option value=\"week\">Weekly</option>");
	}
	
	out.println("</select>");
	out.println("<br>");
	
	//repeat by date or day of week
	out.println("Repeat by:<select name=repeattype>");
	if((event.getRepeattype()==null)||(event.getRepeattype()!=null&&event.getRepeattype().equals("date"))){
		out.println("<option value=\"date\" selected>Date</option>");
	}
	else{
		out.println("<option value=\"date\">Date</option>");
	}
	if(event.getRepeattype()!=null&&event.getRepeattype().equals("day")){
		out.println("<option value=\"day\" selected>Day of Week</option>");
	}
	else{
		out.println("<option value=\"day\">Day of Week</option>");
	}
	out.println("</select>");
	out.println("<br>");
	
	out.println("<input type=hidden name=eventid value=\""+mastereventid+"\">");
	out.println("<input type=hidden name=addevent value=addevent>");

	//display event description
	if(event.getEventdescription()!=null){
	out.println("Event Description: <textarea cols=40 rows=5 name=eventdescription>"+event.getEventdescription()+" </textarea>");
	}
	else{
	out.println("Event Description: <textarea cols=40 rows=5 name=eventdescription></textarea>");
		
	}

	//display update event
	out.println("<br><input type=\"submit\" value=\"Update Event\">");
	out.println("</form>");

	
	}
	catch(Exception e){
		System.out.println("Exception in HtmlCalendar:showUpdateMasterEvent:"+e);
		
	}	
	
	
	
	
	
	
	
	
	
	
	
}
/**
 * displays the update user events
 * Creation date: (7/29/2001 3:39:29 PM)
 */
public void showUpdateUserEvent(JspWriter out, int usereventid, String userid) {
	
	ConnectionBean conn = new ConnectionBean();
	CalendarEvent event = new CalendarEvent();
	event.storeUserEvent(usereventid);
	
	try{
	//javascript error checking
	String yearcheck = "if(this.eventstartyear.value > this.eventstopyear.value){warn_about_date(); return false;}";
	String monthyearcheck = "if(this.eventstartyear.value == this.eventstopyear.value && this.eventstartmonth.value > this.eventstopmonth.value){warn_about_date(); return false;}";
	String monthdaycheck = "if(this.eventstartyear.value == this.eventstopyear.value && this.eventstartmonth.value == this.eventstopmonth.value && this.eventstartday.value > this.eventstopday.value){warn_about_date(); return false;}";
	String daytimecheck = "if(this.eventstartmonth.value == this.eventstopmonth.value && this.eventstopyear.value == this.eventstartyear.value && this.eventstartday.value == this.eventstopday.value && ((this.starthour.value > this.stophour.value && (this.startampm.value == this.stopampm.value)) || (this.startampm.value == 'pm' && this.stopampm.value == 'am') || (this.starthour.value == this.stophour.value && this.startminute.value > this.stopminute.value))){warn_about_date(); return false;}";
	String onSubmit = yearcheck + " " + daytimecheck + " " + monthyearcheck+" "+monthdaycheck+" "+"if(isrepeat.value == 'repeat' && repeat.value == 'week' && repeattype.value == 'date'){ warn_on_week(); return false;} if(isrepeat.value == 'repeat' && (!(this.eventstopmonth.value == this.eventstartmonth.value) || !(this.eventstopday.value == this.eventstartday.value) || !(this.eventstopyear.value == this.eventstartyear.value))){warn_on_change(); return false;} if(this.eventstopmonth.value == this.eventstartmonth.value){this.eventstartday.max=this.eventstopday.value; this.eventstopday.min=this.eventstartday.value;}else{this.eventstartday.max=31; this.eventstopday.min=1;} this.eventstopmonth.min=this.eventstartmonth.value; this.eventname.optional=false; this.eventdescription.optional=true; this.eventstartmonth.max=this.eventstopmonth.value; return verify(this);";
	//display update event
	out.println("<form action=\"CalendarUserEditEvent.jsp\" onSubmit=\""+onSubmit+"\" method=\"post\">");
	out.println("<br>Update Event:<br>");
	
	//display event name
	out.println("Event Name: <input type=\"text\" value=\""+event.getEventname()+"\" name=\"eventname\"><br>");

	//grab contacts for this user
	ContactManagement cm = new ContactManagement();
	Vector contacts = cm.storeContacts(userid);
	out.println("<br>Contact Person");
	out.println("<select name=contactid>");
	//add contact list here when done
	if(event.getContactid() == -1){
		out.println("<option value=-1 selected>None</Option>");
	}
	else{
		out.println("<option value=-1>None</Option>");
	}
	
	for(int i = 0; i < contacts.size(); i++){
		if(((ContactManagement)contacts.elementAt(i)).getContactid() == event.getContactid()){
		out.println("<option value="+((ContactManagement)contacts.elementAt(i)).getContactid()+" selected>"+((ContactManagement)contacts.elementAt(i)).getFname1()+" "+((ContactManagement)contacts.elementAt(i)).getLname1()+"</option>");
		}
		else{
		out.println("<option value="+((ContactManagement)contacts.elementAt(i)).getContactid()+">"+((ContactManagement)contacts.elementAt(i)).getFname1()+" "+((ContactManagement)contacts.elementAt(i)).getLname1()+"</option>");
			
		}
	}
	out.println("</select>");
	//link to user contact management
	out.println("<a href=ContactManagement.jsp>Add Contact</a>");
	out.println("<br><br>");
	
	//start time
	out.println("Event Start Date:");
	//display start month
	out.println("<select name=\"eventstartmonth\">");
	if(event.getStartdate().get(Calendar.MONTH) == 0){
	out.println("<option value=\"1\" selected>January</option>");
	}
	else{
	out.println("<option value=\"1\">January</option>");
	}
	if(event.getStartdate().get(Calendar.MONTH) == 1){
	out.println("<option value=\"2\" selected>February</option>");
	}
	else{
	out.println("<option value=\"2\">February</option>");
		
	}
	if(event.getStartdate().get(Calendar.MONTH) == 2){
	out.println("<option value=\"3\" selected>March</option>");
	}
	else{
	out.println("<option value=\"3\">March</option>");	
	}
	if(event.getStartdate().get(Calendar.MONTH) == 3){
	out.println("<option value=\"4\" selected>April</option>");
	}
	else{
	out.println("<option value=\"4\">April</option>");
		
	}
	if(event.getStartdate().get(Calendar.MONTH) == 4){
	out.println("<option value=\"5\" selected>May</option>");
	}
	else{
	out.println("<option value=\"5\">May</option>");	
	}
	if(event.getStartdate().get(Calendar.MONTH) == 5){
	out.println("<option value=\"6\" selected>June</option>");
	}
	else{
	out.println("<option value=\"6\">June</option>");	
	}
	if(event.getStartdate().get(Calendar.MONTH) == 6){
	out.println("<option value=\"7\" selected>July</option>");
	}
	else{
	out.println("<option value=\"7\">July</option>");	
	}
	if(event.getStartdate().get(Calendar.MONTH) == 7){
	out.println("<option value=\"8\" selected>August</option>");
	}
	else{
	out.println("<option value=\"8\">August</option>");	
	}
	if(event.getStartdate().get(Calendar.MONTH) == 8){
	out.println("<option value=\"9\" selected>September</option>");
	}
	else{
	out.println("<option value=\"9\">September</option>");	
	}
	if(event.getStartdate().get(Calendar.MONTH) == 9){
	out.println("<option value=\"10\" selected>October</option>");
	}
	else{
	out.println("<option value=\"10\">October</option>");	
	}
	if(event.getStartdate().get(Calendar.MONTH) == 10){
	out.println("<option value=\"11\" selected>November</option>");
	}
	else{
	out.println("<option value=\"11\">November</option>");	
	}
	if(event.getStartdate().get(Calendar.MONTH) == 11){
	out.println("<option value=\"12\" selected>December</option>");
	}
	else{
	out.println("<option value=\"12\">December</option>");	
	}
	
	out.println("</select>");
	
	//display start day
	out.println("<select name=\"eventstartday\">");
    for (int i = 1; i<= 31; i++){
		if(event.getStartdate().get(Calendar.DAY_OF_MONTH) == i){
	    out.println("<option value=\""+i+"\" selected>"+i+"</option>");
		}
		else{
		out.println("<option value=\""+i+"\">"+i+"</option>");	
		}
	}
	out.println("</select>");

	//display start year
	out.println("Year: <input type=text maxlength=4 value="+(event.getStartdate().get(Calendar.YEAR))+" name=eventstartyear>");

	//display start hour
	out.println("Start Time:<select name=starthour>");
   	for(int i = 0; i< 12; i++){

	    if(event.getStartdate().get(Calendar.HOUR) == (i+1)){
   			out.println("<option value="+(i+1)+" selected>"+(i+1)+"</option>");
	    }
	    else{
		   out.println("<option value="+(i+1)+">"+(i+1)+"</option>"); 
		}
   	}
   	out.println("</select>");

	//display start minute
   	out.println("<select name=startminute>");
   	for(int i = 0; i< 60; i++){
	   
	   if(event.getStartdate().get(Calendar.MINUTE) == i){	
	   	if(i < 10){
   			out.println("<option value=0"+i+" selected>0"+i+"</option>");
	   	}
	   	else{
			out.println("<option value="+i+" selected>"+i+"</option>");  	
		}
	   	
	   }
	   else{
		if(i < 10){
   			out.println("<option value=0"+i+">0"+i+"</option>");
	   	}
	   	else{
			out.println("<option value="+i+">"+i+"</option>");  	
		} 
		   
	   }	
   }
   	out.println("</select>");

	//is it am or pm?
   	out.println("<select name=startampm>");
	if(event.getStartdate().get(Calendar.HOUR_OF_DAY) < 12){
		out.println("<option value=am selected>A.M.</option>");
	}
	else{
		out.println("<option value=am>A.M.</option>");
	}

	if(event.getStartdate().get(Calendar.HOUR_OF_DAY) >= 12){
		 out.println("<option value=pm selected>P.M.</option>");
	}
	else{
		 out.println("<option value=pm>P.M.</option>");
	}
  
   out.println("</select>");

	out.println("<br>");
	//stop time
	out.println("Event Stop Date:");
	
	//display stop month
	out.println("<select name=\"eventstopmonth\">");
	if(event.getStopdate().get(Calendar.MONTH) == 0){
	out.println("<option value=\"1\" selected>January</option>");
	}
	else{
	out.println("<option value=\"1\">January</option>");
	}
	if(event.getStopdate().get(Calendar.MONTH) == 1){
	out.println("<option value=\"2\" selected>February</option>");
	}
	else{
	out.println("<option value=\"2\">February</option>");
		
	}
	if(event.getStopdate().get(Calendar.MONTH) == 2){
	out.println("<option value=\"3\" selected>March</option>");
	}
	else{
	out.println("<option value=\"3\">March</option>");	
	}
	if(event.getStopdate().get(Calendar.MONTH) == 3){
	out.println("<option value=\"4\" selected>April</option>");
	}
	else{
	out.println("<option value=\"4\">April</option>");
		
	}
	if(event.getStopdate().get(Calendar.MONTH) == 4){
	out.println("<option value=\"5\" selected>May</option>");
	}
	else{
	out.println("<option value=\"5\">May</option>");	
	}
	if(event.getStopdate().get(Calendar.MONTH) == 5){
	out.println("<option value=\"6\" selected>June</option>");
	}
	else{
	out.println("<option value=\"6\">June</option>");	
	}
	if(event.getStopdate().get(Calendar.MONTH) == 6){
	out.println("<option value=\"7\" selected>July</option>");
	}
	else{
	out.println("<option value=\"7\">July</option>");	
	}
	if(event.getStopdate().get(Calendar.MONTH) == 7){
	out.println("<option value=\"8\" selected>August</option>");
	}
	else{
	out.println("<option value=\"8\">August</option>");	
	}
	if(event.getStopdate().get(Calendar.MONTH) == 8){
	out.println("<option value=\"9\" selected>September</option>");
	}
	else{
	out.println("<option value=\"9\">September</option>");	
	}
	if(event.getStopdate().get(Calendar.MONTH) == 9){
	out.println("<option value=\"10\" selected>October</option>");
	}
	else{
	out.println("<option value=\"10\">October</option>");	
	}
	if(event.getStopdate().get(Calendar.MONTH) == 10){
	out.println("<option value=\"11\" selected>November</option>");
	}
	else{
	out.println("<option value=\"11\">November</option>");	
	}
	if(event.getStopdate().get(Calendar.MONTH) == 11){
	out.println("<option value=\"12\" selected>December</option>");
	}
	else{
	out.println("<option value=\"12\">December</option>");	
	}
	
	out.println("</select>");

	//display stop day	
 	out.println("<select name=\"eventstopday\">");
    for (int i = 1; i<= 31; i++){
		if(event.getStopdate().get(Calendar.DAY_OF_MONTH) == i){
	    out.println("<option value=\""+i+"\" selected>"+i+"</option>");
		}
		else{
		out.println("<option value=\""+i+"\">"+i+"</option>");	
		}
	}
	out.println("</select>");

	//display stop year
	out.println("Year: <input type=text maxlength=4 value="+(event.getStopdate().get(Calendar.YEAR))+" name=eventstopyear>");
 	
	//stop time  	
	out.println("Stop Time:<select name=stophour>");
   	for(int i = 0; i< 12; i++){

	    if(event.getStopdate().get(Calendar.HOUR) == (i+1)){
   			out.println("<option value="+(i+1)+" selected>"+(i+1)+"</option>");
	    }
	    else{
		   out.println("<option value="+(i+1)+">"+(i+1)+"</option>"); 
		}
   	}
   	out.println("</select>");

	//display stop minute
   	out.println("<select name=stopminute>");
   	for(int i = 0; i< 60; i++){
	   
	   if(event.getStopdate().get(Calendar.MINUTE) == i){	
	   	if(i < 10){
   			out.println("<option value=0"+i+" selected>0"+i+"</option>");
	   	}
	   	else{
			out.println("<option value="+i+" selected>"+i+"</option>");  	
		}
	   	
	   }
	   else{
		if(i < 10){
   			out.println("<option value=0"+i+">0"+i+"</option>");
	   	}
	   	else{
			out.println("<option value="+i+">"+i+"</option>");  	
		} 
		   
	   }	
   }
   	out.println("</select>");

   	//is it stop am or pm?
   	out.println("<select name=stopampm>");
	if(event.getStartdate().get(Calendar.HOUR_OF_DAY) < 12){
		out.println("<option value=am selected>A.M.</option>");
	}
	else{
		out.println("<option value=am>A.M.</option>");
	}

	if(event.getStartdate().get(Calendar.HOUR_OF_DAY) >= 12){
		 out.println("<option value=pm selected>P.M.</option>");
	}
	else{
		 out.println("<option value=pm>P.M.</option>");
	}
  
   out.println("</select>");

    out.println("<br>");
   	//is it a repeat event?
    out.println("Repeat Event:<select name=isrepeat>");
  	if(event.getRepeat()!=null){
		out.println("<option value=onetime>No</option>");
  		out.println("<option value=repeat selected>Yes</option>");
  	}
  	else{
	  	out.println("<option value=onetime selected>No</option>");
  		out.println("<option value=repeat>Yes</option>");
	}
  	out.println("</select>");	
	out.println("<br>");
  	
	//what type of repeat event is it?
	out.println("Repeat Type:<select name=repeat>");
	if((event.getRepeat()==null)||(event.getRepeat()!=null&&event.getRepeat().equals("year"))){
	out.println("<option value=\"year\" selected>Yearly</option>");
	}
	else{
	out.println("<option value=\"year\">Yearly</option>");
	}
	if(event.getRepeat()!=null&&event.getRepeat().equals("month")){
	out.println("<option value=\"month\" selected>Monthly</option>");
	}
	else{
	out.println("<option value=\"month\">Monthly</option>");
	}
	if(event.getRepeat()!=null&&event.getRepeat().equals("week")){
	out.println("<option value=\"week\" selected>Weekly</option>");
	}
	else{
	out.println("<option value=\"week\">Weekly</option>");
	}
	
	out.println("</select>");
	out.println("<br>");
	
	//repeat by date or day of week
	out.println("Repeat by:<select name=repeattype>");
	if((event.getRepeattype()==null)||(event.getRepeattype()!=null&&event.getRepeattype().equals("date"))){
		out.println("<option value=\"date\" selected>Date</option>");
	}
	else{
		out.println("<option value=\"date\">Date</option>");
	}
	if(event.getRepeattype()!=null&&event.getRepeattype().equals("day")){
		out.println("<option value=\"day\" selected>Day of Week</option>");
	}
	else{
		out.println("<option value=\"day\">Day of Week</option>");
	}
	out.println("</select>");
	out.println("<br>");

	out.println("<input type=hidden name=eventid value=\""+usereventid+"\">");
	out.println("<input type=hidden name=userid value=\""+userid+"\">");
	out.println("<input type=hidden name=addevent value=addevent>");

	//display event description
	if(event.getEventdescription()!=null){
	out.println("Event Description: <textarea cols=40 rows=5 name=eventdescription>"+event.getEventdescription()+" </textarea>");
	}
	else{
	out.println("Event Description: <textarea cols=40 rows=5 name=eventdescription></textarea>");
		
	}
	
	out.println("<br><input type=\"submit\" value=\"Update Event\">");
	out.println("</form>");

	
	}
	catch(Exception e){
		System.out.println("Exception in HtmlCalendar:showUpdateMasterEvent:"+e);
		
	}	
	
	
	
	
	
	
	
	
	
	
	
}
/**
 * shows the user month view
 * Creation date: (7/30/2001 1:03:28 PM)
 * @param out javax.servlet.jsp.JspWriter
 */
public void showUserMonthView(JspWriter out, Calendar cal, String userid) {
	try{	
	//print out month calendar according to appropriate date provided	
	year = cal.get(cal.YEAR);
	month = cal.get(cal.MONTH);
	day = cal.get(cal.DATE);
	daysinmonth = cal.getActualMaximum(cal.DAY_OF_MONTH);

	//get both user events and masterevents that include this user for the month
	userEvents = getUserMonthEvents(userid);
	masterEvents = getMasterMonthEvents(userid);
	
	
	//get what day of week the first day starts on for formatting
	cal.set(cal.DATE, 1);
	int dayoftheweek = cal.get(cal.DAY_OF_WEEK);

	//print out current month
	out.println("<table rules=all>");
	if(month == 0){
	out.println("<tr><td>January</td></tr>");	
	}
	else if(month == 1){
	out.println("<tr><td>February</td></tr>");	
	}
	else if(month == 2){
	out.println("<tr><td>March</td></tr>");	
	}
	else if(month == 3){
	out.println("<tr><td>April</td></tr>");	
	}
	else if(month == 4){
	out.println("<tr><td>May</td></tr>");	
	}
	else if(month == 5){
	out.println("<tr><td>June</td></tr>");	
	}
	else if(month == 6){
	out.println("<tr><td>July</td></tr>");	
	}
	else if(month == 7){
	out.println("<tr><td>August</td></tr>");	
	}
	else if(month == 8){
	out.println("<tr><td>September</td></tr>");	
	}
	else if(month == 9){
	out.println("<tr><td>October</td></tr>");	
	}
	else if(month == 10){
	out.println("<tr><td>November</td></tr>");	
	}
	else if(month == 11){
	out.println("<tr><td>December</td></tr>");	
	}

	//print out days of week
	out.println("<tr><td>Sunday</td><td>Monday</td><td>Tuesday</td><td>Wednesday</td><td>Thursday</td><td>Friday</td><td>Saturday</td></tr>");

	int daycount = 0;

	//start day count and create a cell for each day in month
	while(daycount < daysinmonth){
		out.println("<tr>");

		//if its first week of month display only days from firstdayofweek
		if(daycount == 0){
			//if its first week of month display blank cells for days of last month
			for(int j = 1; j<dayoftheweek; j++){
				out.println("<td> </td>");
			}
			//print out rest of week for days of month including an add for the day and the events on that day
			for(int j =dayoftheweek; j<= 7; j++){
				daycount++;	
				out.println("<td><a href=\"CalendarUserAddEvent.jsp?userid="+userid+"&day="+daycount+"\">"+daycount+"</a>");
				cal.set(cal.DAY_OF_MONTH, daycount);
				displayUserEvents(out, cal);
				displayMasterEventsToUser(out, cal);
				out.println("</td>");
				
		
			}
		}
		else{//after printing out first week every week is displayed accordingly with links to event views and adds for the days
			for(int j =1; j<= 7; j++){
				if(daycount < daysinmonth){
					daycount++;
					out.println("<td><a href=\"CalendarUserAddEvent.jsp?userid="+userid+"&day="+daycount+"\">"+daycount+"</a>");
					cal.set(cal.DAY_OF_MONTH, daycount);
					displayUserEvents(out, cal);
					displayMasterEventsToUser(out, cal);
					out.println("</td>");
					
				}
				
				
			}		
				
		}
		

		out.println("</tr>");
	}
	
	
	out.println("</table>");
	}
	catch(Exception e){
		System.out.println("Exception caught in HtmlCalendar:showMonthView:"+e);
		
	}	
	
}
/**
 * displays the update master event
 * Creation date: (7/29/2001 3:39:29 PM)
 */
public void showViewMasterEvent(JspWriter out, int mastereventid) {

	//show the master event
	CalendarEvent event = new CalendarEvent();
	event.storeMasterEvent(mastereventid);
	try{
	out.println("Event Name:"+event.getEventname());
	out.println("<br>");
		
	out.println("Group Name:");
	out.println(event.getGroupname());
	out.println("<br>");

	//start time
	out.println("Event Start Date:");
	out.println((event.getStartdate().get(Calendar.MONTH)+1)+"/"+event.getStartdate().get(Calendar.DAY_OF_MONTH)+"/"+event.getStartdate().get(Calendar.YEAR));
	out.println(" "+event.getStartdate().get(Calendar.HOUR)+":"+event.getStartdate().get(Calendar.MINUTE)+":00");

	if(event.getStartdate().get(Calendar.HOUR_OF_DAY) < 12){
		out.println(" A.M.");
	}
	else if(event.getStartdate().get(Calendar.HOUR_OF_DAY) >= 12){
		 out.println(" P.M.");
	}

	out.println("<br>");


	//start time
	out.println("Event Stop Date:");
	out.println((event.getStopdate().get(Calendar.MONTH)+1)+"/"+event.getStopdate().get(Calendar.DAY_OF_MONTH)+"/"+event.getStopdate().get(Calendar.YEAR));
	out.println(" "+event.getStopdate().get(Calendar.HOUR)+":"+event.getStopdate().get(Calendar.MINUTE)+":00");

	if(event.getStopdate().get(Calendar.HOUR_OF_DAY) < 12){
		out.println(" A.M.");
	}
	else{
		out.println(" A.M.");
	}

	if(event.getStopdate().get(Calendar.HOUR_OF_DAY) >= 12){
		 out.println(" P.M.");
	}
	else{
		out.println(" P.M.");
	}
  

   out.println("<br>");
   	out.println("Repeat Event:");
  	if(event.getRepeat()!=null){
		
  		out.println(" Yes");
  	}
  	else{
	  	out.println(" No ");
 
	}

	out.println("<br>");

	out.println("Repeat Type:");
	if(event.getRepeat()==null){
		out.println("No");	
		
	
		

	}
	else{
		if(event.getRepeat().equals("year")){
			out.println(" Yearly ");
		}
		else if(event.getRepeat().equals("month")){
			out.println(" Monthly ");
		}
		else if(event.getRepeat().equals("week")){
			out.println(" Weekly ");
		}

		if(event.getRepeattype()!=null&&event.getRepeattype().equals("date")){
			out.println("by Date");
		}
		else if(event.getRepeattype()!=null&&event.getRepeattype().equals("day")){
			out.println("by Day of Week");
		}
		
		
	}	
	
	out.println("<br>");

	out.println("Event Description: ");
	if(event.getEventdescription()!=null){
	out.println(event.getEventdescription());
	}
	else{
	out.println("None");
		
	}
		out.println("<br>");
		out.println("<a href=CalendarMasterEditEvent.jsp?eventid="+mastereventid+">Update This Event</a><a href=CalendarMasterDeleteEvent.jsp?eventid="+mastereventid+">Delete This Event</a>");
		out.println("<br><a href=CalendarMasterAddEvent.jsp>Add New Event</a>");
		}
	catch(Exception e){
		System.out.println("Exception in HtmlCalendar:showUpdateMasterEvent:"+e);
		
	}	
	
	
	
	
	
	
	
	
	
	
	
}
/**
 * displays the update master event
 * Creation date: (7/29/2001 3:39:29 PM)
 */
public void showViewMasterToUserEvent(JspWriter out, int mastereventid) {

	//shows master event to user
	CalendarEvent event = new CalendarEvent();
	event.storeMasterEvent(mastereventid);
	try{
	out.println("Event Name:"+event.getEventname());
	out.println("<br>");
		
	out.println("Group Name:");
	out.println(event.getGroupname());
	out.println("<br>");

	//start time
	out.println("Event Start Date:");
	out.println((event.getStartdate().get(Calendar.MONTH)+1)+"/"+event.getStartdate().get(Calendar.DAY_OF_MONTH)+"/"+event.getStartdate().get(Calendar.YEAR));
	out.println(" "+event.getStartdate().get(Calendar.HOUR)+":"+event.getStartdate().get(Calendar.MINUTE)+":00");

	if(event.getStartdate().get(Calendar.HOUR_OF_DAY) < 12){
		out.println(" A.M.");
	}
	else if(event.getStartdate().get(Calendar.HOUR_OF_DAY) >= 12){
		 out.println(" P.M.");
	}

	out.println("<br>");


	//start time
	out.println("Event Stop Date:");
	out.println((event.getStopdate().get(Calendar.MONTH)+1)+"/"+event.getStopdate().get(Calendar.DAY_OF_MONTH)+"/"+event.getStopdate().get(Calendar.YEAR));
	out.println(" "+event.getStopdate().get(Calendar.HOUR)+":"+event.getStopdate().get(Calendar.MINUTE)+":00");

	if(event.getStopdate().get(Calendar.HOUR_OF_DAY) < 12){
		out.println(" A.M.");
	}
	else{
		out.println(" A.M.");
	}

	if(event.getStopdate().get(Calendar.HOUR_OF_DAY) >= 12){
		 out.println(" P.M.");
	}
	else{
		out.println(" P.M.");
	}
  

   out.println("<br>");
   	out.println("Repeat Event:");
  	if(event.getRepeat()!=null){
		
  		out.println(" Yes");
  	}
  	else{
	  	out.println(" No ");
 
	}

	out.println("<br>");

	out.println("Repeat Type:");
	if(event.getRepeat()==null){
		out.println("No");	
		
	
		

	}
	else{
		if(event.getRepeat().equals("year")){
			out.println(" Yearly ");
		}
		else if(event.getRepeat().equals("month")){
			out.println(" Monthly ");
		}
		else if(event.getRepeat().equals("week")){
			out.println(" Weekly ");
		}

		if(event.getRepeattype()!=null&&event.getRepeattype().equals("date")){
			out.println("by Date");
		}
		else if(event.getRepeattype()!=null&&event.getRepeattype().equals("day")){
			out.println("by Day of Week");
		}
		
		
	}	
	
	out.println("<br>");

	out.println("Event Description: ");
	if(event.getEventdescription()!=null){
	out.println(event.getEventdescription());
	}
	else{
	out.println("None");
		
	}
		out.println("<br>");
		
	}
	catch(Exception e){
		System.out.println("Exception in HtmlCalendar:showUpdateMasterEvent:"+e);
		
	}	
	
	
	
	
	
	
	
	
	
	
	
}
/**
 * displays the update user events
 * Creation date: (7/29/2001 3:39:29 PM)
 */
public void showViewUserEvent(JspWriter out, int usereventid, String userid) {
	
	//show user event to user
	CalendarEvent event = new CalendarEvent();
	event.storeUserEvent(usereventid);
	
	try{
	
	out.println("Event Name:"+event.getEventname());
	out.println("<br>");
	
	ContactManagement cm = new ContactManagement();
	cm.fillInfo(event.getContactid());
	
	out.println("Contact Person: ");
	if(event.getContactid() == -1){
		out.println("None");
		
		
	}
	else{
		out.println(cm.getFname1()+" "+cm.getLname1());
	}
	out.println("<br>");
	
	//start time
	out.println("Event Start Date:");
	out.println((event.getStartdate().get(Calendar.MONTH)+1)+"/"+event.getStartdate().get(Calendar.DAY_OF_MONTH)+"/"+event.getStartdate().get(Calendar.YEAR));
	out.println(" "+event.getStartdate().get(Calendar.HOUR)+":"+event.getStartdate().get(Calendar.MINUTE)+":00");

	if(event.getStartdate().get(Calendar.HOUR_OF_DAY) < 12){
		out.println(" A.M.");
	}
	else if(event.getStartdate().get(Calendar.HOUR_OF_DAY) >= 12){
		 out.println(" P.M.");
	}

	out.println("<br>");


	//start time
	out.println("Event Stop Date:");
	out.println((event.getStopdate().get(Calendar.MONTH)+1)+"/"+event.getStopdate().get(Calendar.DAY_OF_MONTH)+"/"+event.getStopdate().get(Calendar.YEAR));
	out.println(" "+event.getStopdate().get(Calendar.HOUR)+":"+event.getStopdate().get(Calendar.MINUTE)+":00");

	if(event.getStopdate().get(Calendar.HOUR_OF_DAY) < 12){
		out.println(" A.M.");
	}
	else if(event.getStopdate().get(Calendar.HOUR_OF_DAY) >= 12){
		 out.println(" P.M.");
	}
	
   out.println("<br>");
   	out.println("Repeat Event:");
  	if(event.getRepeat()!=null){
		
  		out.println(" Yes");
  	}
  	else{
	  	out.println(" No ");
 
	}

	out.println("<br>");

	out.println("Repeat Type:");
	if(event.getRepeat()==null){
		out.println("No");	
		
	
		

	}
	else{
		if(event.getRepeat().equals("year")){
			out.println(" Yearly ");
		}
		else if(event.getRepeat().equals("month")){
			out.println(" Monthly ");
		}
		else if(event.getRepeat().equals("week")){
			out.println(" Weekly ");
		}

		if(event.getRepeattype()!=null&&event.getRepeattype().equals("date")){
			out.println("by Date");
		}
		else if(event.getRepeattype()!=null&&event.getRepeattype().equals("day")){
			out.println("by Day of Week");
		}
		
		
	}	
	
	out.println("<br>");

	out.println("Event Description: ");
	if(event.getEventdescription()!=null){
	out.println(event.getEventdescription());
	}
	else{
	out.println("None");
		
	}

		out.println("<br>");

		out.println("<a href=CalendarUserEditEvent.jsp?eventid="+usereventid+"&userid="+userid+">Update Event</a><a href=CalendarUserDeleteEvent.jsp?eventid="+usereventid+"&userid="+userid+">Delete This Event</a>");
		out.println("<br><a href=CalendarUserAddEvent.jsp?eventid="+usereventid+"&userid="+userid+">Add New Event</a>");
		
	}
	catch(Exception e){
		System.out.println("Exception in HtmlCalendar:showUpdateMasterEvent:"+e);
		
	}	
	
	
	
	
	
	
	
	
	
	
	
}
/**
 * stores the group names into a vector
 * Creation date: (7/30/2001 10:04:11 AM)
 */
public void storeGroups() {
	
	//grabs the groups from calendargroups
	ConnectionBean conn = new ConnectionBean();
	try {
		PreparedStatement pStmt = 
			conn.getConn().prepareStatement(
				"select * from calendargroups;");
		
		ResultSet rs = pStmt.executeQuery();
		
		while(rs.next()){
			groups.addElement(rs.getString("groupname"));
			
			
			
		}	
		conn.getConn().close();
	}
	catch (Exception e) {
		new HandleException(e);
	}	
	
	
	
	
	
	
	
	
	
	
	
	}
/**
 * updates the master event.
 * Creation date: (7/29/2001 3:39:29 PM)
 */
public void updateMasterEvent(HttpServletRequest request) {
	
	
	ConnectionBean conn = new ConnectionBean();
	try {
		//grabs the whole start time from year to minute
		int eventstartday = new Integer(request.getParameter("eventstartday")).intValue();
		int eventstartyear = new Integer(request.getParameter("eventstartyear")).intValue();
		int eventstartmonth = new Integer(request.getParameter("eventstartmonth")).intValue();

		//creates a calendar object and sets the start date to it
		Calendar starttime = Calendar.getInstance();
		
		starttime.set(starttime.YEAR, eventstartyear);
		starttime.set(starttime.MONTH, eventstartmonth-1);
		starttime.set(starttime.DATE, eventstartday); 

		if(request.getParameter("startampm").equals("am")){
		starttime.set(starttime.HOUR_OF_DAY, new Integer(request.getParameter("starthour")).intValue());
		}
		else if(request.getParameter("startampm").equals("pm")){
		starttime.set(starttime.HOUR_OF_DAY, new Integer(request.getParameter("starthour")).intValue()+12);
		}
		starttime.set(starttime.MINUTE, new Integer(request.getParameter("startminute")).intValue());

		//creates a sql date from the calendar to put up to the database
		java.sql.Date begintime = new java.sql.Date(starttime.getTime().getTime());
		
		//grabs the whole stop time from year to minute
		int eventstopday = new Integer(request.getParameter("eventstopday")).intValue();
		int eventstopyear = new Integer(request.getParameter("eventstopyear")).intValue();
		int eventstopmonth = new Integer(request.getParameter("eventstopmonth")).intValue();

		//creates a calendar object and sets the stop date to it
		Calendar stoptime = Calendar.getInstance();

		stoptime.set(stoptime.YEAR, eventstopyear);
		stoptime.set(stoptime.MONTH, eventstopmonth-1);
		stoptime.set(stoptime.DAY_OF_MONTH, eventstopday);

		if(request.getParameter("stopampm").equals("am")){
		stoptime.set(stoptime.HOUR_OF_DAY, new Integer(request.getParameter("stophour")).intValue());
		}
		else if(request.getParameter("stopampm").equals("pm")){
		stoptime.set(stoptime.HOUR_OF_DAY, new Integer(request.getParameter("stophour")).intValue()+12);
		}
		stoptime.set(stoptime.MINUTE, new Integer(request.getParameter("stopminute")).intValue());

		//creates a sql date from the calendar to put up to the database
		java.sql.Date endtime = new java.sql.Date(stoptime.getTime().getTime());
		 
		
		
		PreparedStatement pStmt = 
			conn.getConn().prepareStatement(
				"update mastercalendar set (eventname, groupname, repeat, repeattype, eventdescription, startdate, stopdate) = (?,?,?,?,?,?,?) where mastereventid = ?");
		
		pStmt.setString(1, request.getParameter("eventname"));
		pStmt.setString(2, request.getParameter("groupname"));
		
		if(request.getParameter("isrepeat").equals("repeat")){
		pStmt.setString(3, request.getParameter("repeat"));
		pStmt.setString(4, request.getParameter("repeattype"));
		}
		else{
		pStmt.setString(3, null);
		pStmt.setString(4, null);	
		}

		pStmt.setString(5, request.getParameter("eventdescription"));

		pStmt.setDate(6, begintime);
		pStmt.setDate(7, endtime);
		
		pStmt.setInt(8, new Integer(request.getParameter("eventid")).intValue());

		
		
		pStmt.execute();		
		conn.getConn().close();
	}
	catch (Exception e) {
		new HandleException(e);
	}	
	
	
	
	
	
	
	
	
	
	
}
/**
 * updates the user event
 * Creation date: (7/29/2001 3:39:29 PM)
 */
public void updateUserEvent(HttpServletRequest request) {
	
	
	ConnectionBean conn = new ConnectionBean();
	try {
		//grabs the whole start time from year to minute
		int eventstartday = new Integer(request.getParameter("eventstartday")).intValue();
		int eventstartyear = new Integer(request.getParameter("eventstartyear")).intValue();
		int eventstartmonth = new Integer(request.getParameter("eventstartmonth")).intValue();

		//creates a calendar object and sets the start date to it
		Calendar starttime = Calendar.getInstance();
		
		starttime.set(starttime.YEAR, eventstartyear);
		starttime.set(starttime.MONTH, eventstartmonth-1);
		starttime.set(starttime.DATE, eventstartday); 

		if(request.getParameter("startampm").equals("am")){
		starttime.set(starttime.HOUR_OF_DAY, new Integer(request.getParameter("starthour")).intValue());
		}
		else if(request.getParameter("startampm").equals("pm")){
		starttime.set(starttime.HOUR_OF_DAY, new Integer(request.getParameter("starthour")).intValue()+12);
		}
		starttime.set(starttime.MINUTE, new Integer(request.getParameter("startminute")).intValue());

		//creates a sql date from the calendar to put up to the database
		java.sql.Date begintime = new java.sql.Date(starttime.getTime().getTime());
		
		//grabs the whole stop time from year to minute
		int eventstopday = new Integer(request.getParameter("eventstopday")).intValue();
		int eventstopyear = new Integer(request.getParameter("eventstopyear")).intValue();
		int eventstopmonth = new Integer(request.getParameter("eventstopmonth")).intValue();

		//creates a calendar object and sets the stop date to it
		Calendar stoptime = Calendar.getInstance();

		stoptime.set(stoptime.YEAR, eventstopyear);
		stoptime.set(stoptime.MONTH, eventstopmonth-1);
		stoptime.set(stoptime.DAY_OF_MONTH, eventstopday);

		if(request.getParameter("stopampm").equals("am")){
		stoptime.set(stoptime.HOUR_OF_DAY, new Integer(request.getParameter("stophour")).intValue());
		}
		else if(request.getParameter("stopampm").equals("pm")){
		stoptime.set(stoptime.HOUR_OF_DAY, new Integer(request.getParameter("stophour")).intValue()+12);
		}
		stoptime.set(stoptime.MINUTE, new Integer(request.getParameter("stopminute")).intValue());

		//creates a sql date from the calendar to put up to the database
		java.sql.Date endtime = new java.sql.Date(stoptime.getTime().getTime());
		 
		
		PreparedStatement pStmt = 
			conn.getConn().prepareStatement(
				"update usercalendar set (eventname, repeat, repeattype, eventdescription, contactid, startdate, stopdate) = (?,?,?,?,?,?,?) where usereventid = ?");
		
		pStmt.setString(1, request.getParameter("eventname"));
	
		if(request.getParameter("isrepeat").equals("repeat")){
		pStmt.setString(2, request.getParameter("repeat"));
		pStmt.setString(3, request.getParameter("repeattype"));
		}
		else{
		pStmt.setString(2, null);		
		pStmt.setString(3, null);	
		}

		pStmt.setString(4, request.getParameter("eventdescription"));
		
		pStmt.setInt(5, new Integer(request.getParameter("contactid")).intValue());

		pStmt.setDate(6, begintime);
		pStmt.setDate(7, endtime);
		
		pStmt.setInt(8, new Integer(request.getParameter("eventid")).intValue());
		pStmt.execute();		
		conn.getConn().close();
	}
	catch (Exception e) {
		new HandleException(e);
	}	
	
	
	
	
	
	
	
	
	
	
}
/**
 * verifies the event to be added
 * Creation date: (7/29/2001 4:23:18 PM)
 * @return boolean
 * @param request javax.servlet.http.HttpServletRequest
 */
public boolean verifyEvent(HttpServletRequest request) {
	
	if(request.getParameter("addevent")!=null){
		//check to stop repeat dates with multiple days
		if(request.getParameter("isrepeat")!=null && request.getParameter("isrepeat").equals("repeat")){
			if(!(request.getParameter("eventstartmonth").equals(request.getParameter("eventstopmonth"))) || !(request.getParameter("eventstartday").equals(request.getParameter("eventstopday"))) || !(request.getParameter("eventstartyear").equals(request.getParameter("eventstopyear")))){
				return false;
			
			}
			
		}
		
		return true;	
	}
	else{
		return false;
	}
	
	
}
/**
 * verifies the master event to be added
 * Creation date: (7/29/2001 4:23:18 PM)
 * @return boolean
 * @param request javax.servlet.http.HttpServletRequest
 */
public boolean verifyMasterEvent(HttpServletRequest request, JspWriter out) {
boolean verify = true;
	
try{	
	if(request.getParameter("addevent")!=null){
		String isrepeat = request.getParameter("isrepeat");
		String repeat = request.getParameter("repeat");
		String repeattype = request.getParameter("repeattype");
		
		int startyear = new Integer(request.getParameter("eventstartyear")).intValue();
		int startmonth = new Integer(request.getParameter("eventstartmonth")).intValue();
		int startday = new Integer(request.getParameter("eventstartday")).intValue();

		Calendar startdate = Calendar.getInstance();
		startdate.set(Calendar.DATE, 1);
		startdate.set(Calendar.YEAR, startyear);
		startdate.set(Calendar.MONTH, startmonth-1);
		int startdaysinmonth = startdate.getActualMaximum(Calendar.DAY_OF_MONTH);
		
		int stopyear = new Integer(request.getParameter("eventstopyear")).intValue();
		int stopmonth = new Integer(request.getParameter("eventstopmonth")).intValue();
		int stopday = new Integer(request.getParameter("eventstopday")).intValue();
		
		Calendar stopdate = Calendar.getInstance();
		stopdate.set(Calendar.DATE, 1);
		stopdate.set(Calendar.YEAR, stopyear);
		stopdate.set(Calendar.MONTH, stopmonth-1);
		int stopdaysinmonth = stopdate.getActualMaximum(Calendar.DAY_OF_MONTH);
		
		String eventname = request.getParameter("eventname");
		String error = "";
		
		if(isrepeat.equals("repeat") && repeat.equals("week") && repeattype.equals("date")){ 
			
			error = error + "<br>You cannot repeat a event weekly by date. Please change your event.<br>"; 
			verify = false;
		
		}
		if(eventname.equals("")){
			error = error + "<br>You must enter in a name for this event. Please change your event.<br>";
			verify = false;
		}	

		if(startyear > stopyear){
			error = error + "<br>You cannot have a start year that is greater than your stop year. Please change your event.<br>";
			verify = false;
		}

		if(startyear == stopyear && startmonth > stopmonth){
			error = error + "<br>You cannot have a start month that is greater than your stop month in the same year. Please change your event.<br>";
			verify = false;
		}

		if(startyear == stopyear && startmonth == stopmonth && startday > stopday){
			error = error + "<br>You cannot have a start day that is greater than your stop day in the same month. Please change your event.<br>";
			verify = false;
			
		}
		if(isrepeat.equals("repeat") && (!(stopmonth == startmonth) || !(stopday == startday) || !(stopyear == startyear))){
			error = error + "<br>You cannot repeat a event that is spanned over multiple days! Please change your event.<br>";
			verify = false;
		}
		if(startday > startdaysinmonth){
			error = error + "<br>There are not "+startday+" days in the start date month. Please choose a lower number.<br>";
			verify = false;
		}
		if(stopday > stopdaysinmonth){
			error = error + "<br>There are not "+stopday+" days in the stop date month. Please choose a lower number<br>";
			verify = false;
		}
	// if(this.eventstopmonth.value == this.eventstartmonth.value){this.eventstartday.max=this.eventstopday.value; this.eventstopday.min=this.eventstartday.value;}else{this.eventstartday.max=31; this.eventstopday.min=1;} this.eventstopmonth.min=this.eventstartmonth.value; this.eventname.optional=false; this.eventdescription.optional=true; this.eventstartmonth.max=this.eventstopmonth.value; return verify(this);";
	
		
		//if verify is false print out errors and return false;
		if(verify == false){
			out.println(error);
			return verify;	
		}
		else{
			year = startyear;
			month = startmonth-1;
			day = startday;
			return verify;	
		}
		
	}
	else{
		//if addevent not present then return false;
		return false;
	}
}
catch(Exception e){
	System.out.println("Error ins verifyUserEvent:"+e);
}
	return false;
	
}
/**
 * verifies the user event to be added
 * Creation date: (7/29/2001 4:23:18 PM)
 * @return boolean
 * @param request javax.servlet.http.HttpServletRequest
 */
public boolean verifyUserEvent(HttpServletRequest request, JspWriter out) {
boolean verify = true;
	
try{	
	if(request.getParameter("addevent")!=null){
		String isrepeat = request.getParameter("isrepeat");
		String repeat = request.getParameter("repeat");
		String repeattype = request.getParameter("repeattype");
		
		int startyear = new Integer(request.getParameter("eventstartyear")).intValue();
		int startmonth = new Integer(request.getParameter("eventstartmonth")).intValue();
		int startday = new Integer(request.getParameter("eventstartday")).intValue();

		Calendar startdate = Calendar.getInstance();
		startdate.set(Calendar.DATE, 1);
		startdate.set(Calendar.YEAR, startyear);
		startdate.set(Calendar.MONTH, startmonth-1);
		int startdaysinmonth = startdate.getActualMaximum(Calendar.DAY_OF_MONTH);
		
		int stopyear = new Integer(request.getParameter("eventstopyear")).intValue();
		int stopmonth = new Integer(request.getParameter("eventstopmonth")).intValue();
		int stopday = new Integer(request.getParameter("eventstopday")).intValue();
		
		Calendar stopdate = Calendar.getInstance();
		stopdate.set(Calendar.DATE, 1);
		stopdate.set(Calendar.YEAR, stopyear);
		stopdate.set(Calendar.MONTH, stopmonth-1);
		int stopdaysinmonth = stopdate.getActualMaximum(Calendar.DAY_OF_MONTH);
		
		String eventname = request.getParameter("eventname");
		String error = "";
		
		if(isrepeat.equals("repeat") && repeat.equals("week") && repeattype.equals("date")){ 
			
			error = error + "<br>You cannot repeat a event weekly by date. Please change your event.<br>"; 
			verify = false;
		
		}
		if(eventname.equals("")){
			error = error + "<br>You must enter in a name for this event. Please change your event.<br>";
			verify = false;
		}	

		if(startyear > stopyear){
			error = error + "<br>You cannot have a start year that is greater than your stop year. Please change your event.<br>";
			verify = false;
		}

		if(startyear == stopyear && startmonth > stopmonth){
			error = error + "<br>You cannot have a start month that is greater than your stop month in the same year. Please change your event.<br>";
			verify = false;
		}

		if(startyear == stopyear && startmonth == stopmonth && startday > stopday){
			error = error + "<br>You cannot have a start day that is greater than your stop day in the same month. Please change your event.<br>";
			verify = false;
			
		}
		if(isrepeat.equals("repeat") && (!(stopmonth == startmonth) || !(stopday == startday) || !(stopyear == startyear))){
			error = error + "<br>You cannot repeat a event that is spanned over multiple days! Please change your event.<br>";
			verify = false;
		}
		if(startday > startdaysinmonth){
			error = error + "<br>There are not "+startday+" days in the start date month. Please choose a lower number.<br>";
			verify = false;
		}
		if(stopday > stopdaysinmonth){
			error = error + "<br>There are not "+stopday+" days in the stop date month. Please choose a lower number<br>";
			verify = false;
		}
	// if(this.eventstopmonth.value == this.eventstartmonth.value){this.eventstartday.max=this.eventstopday.value; this.eventstopday.min=this.eventstartday.value;}else{this.eventstartday.max=31; this.eventstopday.min=1;} this.eventstopmonth.min=this.eventstartmonth.value; this.eventname.optional=false; this.eventdescription.optional=true; this.eventstartmonth.max=this.eventstopmonth.value; return verify(this);";
	
		
		//if verify is false print out errors and return false;
		if(verify == false){
			out.println(error);
			return verify;	
		}
		else{
			year = startyear;
			month = startmonth-1;
			day = startday;
			return verify;	
		}
		
	}
	else{
		//if addevent not present then return false;
		return false;
	}
}
catch(Exception e){
	System.out.println("Error ins verifyUserEvent:"+e);
}
	return false;
	
	
}
}
